<?php

class ConsoleLogger {

	const BUFFER_LINES = 100;
	
	static private $message;
		
	static public function write($message) {
		self::load();
		self::$message[] = date("[H:i:s]") . " - " . $message;
	}
	
	static public function getMessage($asHtml = false) {
		self::load();
		if ($asHtml) return str_replace("|N|", "<br />", htmlentities(implode("|N|", self::$message)));
		return implode("\n", self::$message);
	}
	
	
	static private function load() {
		if (empty(self::$message)) {
			if (!isset($_SESSION["CONSOLEMEASSAGE"])) {
				$_SESSION["CONSOLEMEASSAGE"] = array();
			}
			self::$message =& $_SESSION["CONSOLEMEASSAGE"];
		}
		
		// Check buffer
		if (count(self::$message) > self::BUFFER_LINES) {
			$linesToRemove = count(self::$message)-self::BUFFER_LINES;
			for ($i=0; $i<$linesToRemove; $i++) {
				array_shift(self::$message);
			}
		}
		
	}
	
	
	
}

?>