<?php

class Measurement {
	
	private $uid;
	private $id;
	
	private $value;
	private $description;
	
	private $parent;

	// User change
	private $selected;
	
	public function __construct($uid, $id, $value, $description, DataType $parent) {
		$this->uid = $uid;
		$this->id = $id;
		$this->value = $value;
		$this->description = $description;
		
		$this->parent = $parent;
	}

	
	public function getUID() {
		return $this->uid;
	}
	
	public function getId() {
		return $this->id;
	}
	
	public function getValue() {
		return $this->value;
	}
	
	public function getDescription() {
		return $this->description;
	}
	
	
	public function setSelected($selected) {
		$this->selected = $selected ? true : false;
	}
	
	public function isSelected() {
		return $this->selected ? true : false;
	}
	
}

?>