<?php

class Module {
	
	private $id;
	private $value;
	
	
	public function __construct($id, $value) {
		$this->id = $id;
		$this->value = $value;
	}
	
	public function getId() {
		return $this->id;
	}
	
	public function getValue() {
		return $this->value;
	}
	
	public function getDataTypes() {
		$dataTypes = array();
		foreach (DatabaseManager::getDataTypes() as $dataType) {
			if ($dataType->getModuleId() == $this->id) {
				$dataTypes[] = $dataType;
			}
		}
		return $dataTypes;
	}
	
	public function hasDataTypes() {
		return count($this->getDataTypes()) > 0 ? true : false;
	}
	
}

?>