<?php

/**
 * TableVersion
 * 
 * @package core
 * @version 2.0
 */
class wgDbTableVersion {
	
	static private $_table = 'tableversion';
	
	public $id;
	public $table;
	public $version;
	
	static public function set($table, $version) {
		
		// Update / Create entry
		$entry = self::getVersion($table);
		if (is_null($entry)) {
			$entry = new wgDbTableVersion();
			$entry->table = $table;			
		}
		$entry->version = $version;
		
		wgDatabaseManager::getTable(__CLASS__, self::$_table)->store($entry);	
	}
	
	static public function getVersion($table) {
		try {
		$set = wgDatabaseManager::getTable(__CLASS__, self::$_table)->select()->where('"table" = ?', $table)->toObject();
		} catch (Exception $ignore) {
			// Looks like we are missing this table.. 
			// Force system check
			//SystemChecker::run();
		}
		return count($set) > 0 ? $set[0] : null;		
	}
	

}

?>