<?php

class wgDatabaseReturn extends wgDatabaseQuery {

	private $pdo;

	public function __construct(wgDatabaseTable $table) {
        parent::__construct($table);
	}


	
	/**
	 * @return PDOStatement
	 */
	private function getPdo() {
		
		// Collect needed information
		$table = $this->table->tableName;
		$SQL = $this->table->getSQL();
		
		// Get database
		$this->pdo = $this->getDatabase();
		// Execute SQL
		try {
			// Create a PDOStatement
			$sth = null;
			try {	
				$sth = $this->pdo->prepare($SQL);
			} catch (Exception $e) {
                throw new Exception($e);
            }            
						
			// Check if we manage to create it..
			/*
			if (!$sth instanceof PDOStatement) {
	
				// Check if we have the database
				$sth = $this->pdo->prepare("SELECT name FROM sqlite_master WHERE type = 'table' AND tbl_name like ?;");
				$sth->execute(array($table));
				
				// If there is no table, lets see if we can create one
				if (count($sth->fetchAll(PDO::FETCH_ASSOC)) == 0) {
					
					// Se if we have SQL files for this table...
					$path = ServerConfig::getDatabasePath() . '../general/sql/tables/';					
					$sqlFiles = glob($path . $table . '_*.sql');
			
					
					// Did we find any files?
					if (count($sqlFiles) != 0) {
						
						// Start a transaction
						$this->pdo->beginTransaction();
						
						// For each file, execute it...
						foreach ($sqlFiles as $sqlFile) {
							$this->pdo->exec(file_get_contents($sqlFile));														
						}								
						
						// Commit changes..
						$this->pdo->commit();
						
						// Check database again..
						$sth = $this->pdo->prepare("SELECT name FROM sqlite_master WHERE type = 'table' AND tbl_name like ?;");
						$sth->execute(array($table));

						// Still problems.. we cant solve it... 
						if (count($sth->fetchAll(PDO::FETCH_ASSOC)) == 0) {
							throw new PDOException("Problem creating table with the name '{$table}'.");
						}
						
						// Looks like we manage to create it.. so let it continue...
						$sth = $this->pdo->prepare($SQL);

					}					
					else throw new PDOException("There is no table with the name '{$table}'");
				} else throw new PDOException("Error while creating a preare statement for table '{$table}'");
			}*/
			
            try {
				$sth->execute($this->table->getValues());
            } catch (Exception $e) {
            	throw new Exception($e);
            }
			
			//$dbh->lastInsertId(); 							
		} catch (PDOException $e) {
			die($e->getMessage());
		} catch (Exception $e) {
			die($e->getMessage());
		}
		
		return $sth;
	}
	
	protected function store($data) {
		
	}
	
	

	public function toArray() {
		return $this->getPdo()->fetchAll(PDO::FETCH_ASSOC);
	}
	
	public function toObject() {
		$objects = array();
		
		try {		
			foreach ($this->getPdo()->fetchAll(PDO::FETCH_ASSOC) as $row) {
				$mObject = new ClassModifyer(new $this->table->className);		
				foreach ($row as $key => $value) {
					$mObject->setValue($key, $value);
				}
				$objects[] = $mObject->getObject();
			}
		} catch (Exception $e) {
			die($e->getMessage());
		}
		return $objects;
	}

	
	public function execute(&$lastInsertId = null) {
		$sth = $this->getPdo();
		$lastInsertId = $this->pdo->lastInsertId();
		return $sth->rowCount();
	}
		
}

?>