<?php

class wgDatabaseSelect extends wgDatabaseReturn {
	
	/**
	 * @return wgDatabaseWhere
	 */
	public function __construct(wgDatabaseTable $table) {
		$this->table = $table;
	}


	public function where($where = null, $value = null) {
		if (!is_null($where)) {
			$this->table->addSQL('WHERE ' . $where);
			if (!is_null($value)) {
				$this->table->addValue($value);
			}
		}				
		return new wgDatabaseWhere($this->table);
	}
	
	public function inner_join() {}
	
}

?>