<?php

class wgDatabaseUpdateSet extends wgDatabaseReturn {


    public function  __construct($table) {
        parent::__construct($table);
    }
	
	/**
	 * @return wgDatabaseUpdateSet
	 */
	public function set($key = null, $value = null) {
		if (!is_null($key)) {
			$this->table->addSQL(', ' . $key);
			if (!is_null($value)) {
				$this->table->addValue($value);
			}
		}				
		return new wgDatabaseUpdateSet($this->table);
	}
	
	/**
	 * @return wgDatabaseWhere
	 */
	public function where($where = null, $value = null) {
		if (!is_null($where)) {
			$this->table->addSQL('WHERE ' . $where);
			if (!is_null($value)) {
				$this->table->addValue($value);
			}
		}				
		return new wgDatabaseWhere($this->table);
	}	
	
}

?>