<?php

class ModuleInfo {
	
	private $className;
	
	public function __construct($className) {
		$this->className = $className;
	}
	
	public function getClassName() {
		return $this->className;
	}
	
	public function getClassFile() {
		return realpath(RequestHelper::MODULE_DIR . strtolower($this->className) . '/classes/' . $this->className . '.php');
	}

	public function getModulePath() {
		return realpath(RequestHelper::MODULE_DIR . strtolower($this->className)) . '/';
	}
	
}

?>