<?php

/**
 * Mapping Types
 */
class MappingType {

	
	/* Static */
	private static $dbTable = 'mapType';
	private static $dbId = 'id';
	private static $dbFields = array('id', 'name');
	
	static public function getTypes() {
		if (!$types = MappingDatabaseConnector::get(
					self::$dbTable,
					self::$dbFields,
					__CLASS__
					)) {
			return null;
		}
		return $types;
	}
	
	/**
	 * @return MappingType
	 */
	static public function getType($id) {
		if (!$type = MappingDatabaseConnector::get(
					self::$dbTable,
					self::$dbFields,
					__CLASS__,
					array("id = {$id}")					
					)) {
			return null;
		}			
		return $type;
	}
	
	
	/* Private */	
	private $id;
	private $name;
	
	
	public function getId() {
		return $this->id;
	}

	public function setId($id) {
		$this->id = $id;
	}

	public function getName() {
		return $this->name;
	}

	public function setName($name) {
		$this->name = $name;
	}

	
}

?>