<?php

/**
 * SearchEntry class
 * 
 * This class would be populated for each search to the database.
 * This will provide the information SearchGenerator needs for generate the SQL queries.
 * 
 */
class SearchEntry {
	
	// Classification ID
	public $id;	
	
	// Classification Value
	public $value;	
	
	// If we have more then one value in order,
	// we merge them to one SearchEntry
	public $toValue;

	
	public function __construct($id, $value, $toValue = null) {
		$this->id = $id;
		$this->value = $value;
		$this->toValue = $toValue;
	}

}

?>