<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

$accessControlManager = new AccessControlManager();

if ($_REQUEST["id"] != "new") {
	$group = $accessControlManager->getGroup($_REQUEST["id"]);
	if (!$group) header("Location: index.php");
} else {
	$group = new Group();
}


$groups = $accessControlManager->getGroups();

$dataTypes = DatabaseManager::getDataTypes();
$products = DatabaseManager::getAllClassificationValues('Product');
$features = DatabaseManager::getAllClassificationValues('Feature');

$presentation->assign("group", $group);
$presentation->assign("groups", $groups);
$presentation->assign("datatypes", $dataTypes);
//$presentation->assign("products", $products);
//$presentation->assign("features", $features);

// Add folders to the group
$reportLoader = new ReportLoader();
$folders = $reportLoader->getFolders();
$presentation->assign("folders", $folders);


// Show presentation
$presentation->display("pages/access_control/edit_group.php");

?>
<script type="text/javascript">
    if('<?= $_REQUEST["id"]?>'!='new'){
        loadReportAccessListEntries("product",0,"");
        loadReportAccessListEntries("feature",0,"");
    }
</script>
