<?php 
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$group = $accessControlManager->getGroup($_REQUEST["id"]);
if (!$group) header("Location: index.php");

$step = 100;
$lastrow = $_REQUEST["mark"];
if (!$lastrow) $lastrow = 0;
$dataTypes = DatabaseManager::getDataTypes();
$count = count(DatabaseManager::getAllClassificationValues('Product',$_REQUEST["keyword"]));
$products = DatabaseManager::getAllClassificationValuesWithOffset('Product',$lastrow,$step,$_REQUEST["keyword"]);

foreach($products as $key => $product) { 
    ?>
        <div class="item" title="<?= wordwrap(htmlspecialchars($product),40," ",true) ?>" id="productList">
               <input id="<?= $product ?>" type="checkbox" name="products[]" value="<?= $product ?>" <?php if ($group->isMemberOfProduct(sqlite_escape_string(stripslashes($product)))) { ?>checked="checked"<?php } ?> onchange="saveItem(this,'product');" /><?= strlen($product)>30 ? trim(substr(htmlspecialchars($product), 0, 30))."..." : htmlspecialchars($product) ?>
        </div>
<?php 
} 
?>

<script type="text/javascript">
    refreshNavi('product',<?=$lastrow?>,<?=$count?>,'<?=$_REQUEST["keyword"]?>');
</script>