<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();
$accessControlManager = new AccessControlManager();
	
if ($_REQUEST["id"] != "new") {
	$user = $accessControlManager->getUser($_REQUEST["id"]);
	if (!$user) header("Location: index.php");
} else {
	$user = new User();
}

	$groups = $accessControlManager->getGroups();
	
	$presentation->assign("user", $user);
	$presentation->assign("groups", $groups);
	$presentation->assign("languages", ServerConfig::getAvailableLanguages());
	
	$presentation->assign("ldap", (
		(ServerConfig::getPasswordBackend() == AccessControlManager::PASSWORDBACKEND_AD ||
		 ServerConfig::getPasswordBackend() == AccessControlManager::PASSWORDBACKEND_LDAP) ? true : false));
	


// Show presentation
$presentation->display("pages/access_control/edit_user.php");

?>

