<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

// Error messages
$error = "";
if (isset($_REQUEST["error"])) {
	
	switch ($_REQUEST["error"]) {
		
		case User::ERROR_USERNAMEEXISTS:
			$error = $presentation->getText("accesscontrol_users_status_1");
			break;
			
		case User::ERROR_NONAMEORNOUSERNAME :
			$error = $presentation->getText("accesscontrol_users_status_2");
			break;
			
		default:
			$error = "N/A";
			break;
	}
}


$accessControlManager = new AccessControlManager();
$users = $accessControlManager->getUsers();

$presentation->assign("users", $users);
$presentation->assign("error", $error);

// Show presentation
$presentation->display("pages/access_control/index.php");

?>