<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

if (!isset($_REQUEST["period"])) return;
$timestamps = file_get_contents(ServerConfig::getServerUrl() . "time_period.pl?period=" . $_REQUEST["period"]);

// Split timestamps, and put them in an array
$time = array();

$time["generation_date_from"] = substr($timestamps, 0, 19);
$time["generation_date_to"] = substr($timestamps, 22, 19);

// Set selection
$reportSelection = new ReportSelection();
$reportSelection->set("generation_period", $_REQUEST["period"]);
$reportSelection->set("generation_date_from", $time["generation_date_from"]);
$reportSelection->set("generation_date_to", $time["generation_date_to"]);

// Return the AJAX call, with a JSON object
echo php2js($time);

?>