<?php


// Get measurements IDs that are selected

$measurementIds = isset($_REQUEST["measurementIds"]) ? explode("|", $_REQUEST["measurementIds"]) : null;


if (!is_null($measurementIds)) {
	
	// Load active datatype
	$dataType =& $_SESSION["ACTIVE"];

	// Get all measurements
	$measurements = $dataType->getMeasurements();
	
	
	$reportSelection = new ReportSelection();
	$firstMeasurement = null;
	$selectedMeasurementId = $reportSelection->get("graphic_measurement");
	
	foreach ($measurements as $measurement) {
		
		if (in_array($measurement->getId(), $measurementIds)) {
			$measurement->setSelected(true);
			if (is_null($firstMeasurement)) {
				$firstMeasurement = $measurement->getId();
			}
		} else {
			$measurement->setSelected(false);
		}
		
		// Test if the selected measurement is still in list, if not, set the first one
		if (($selectedMeasurementId == $measurement->getId() && !$measurement->isSelected()) || ($selectedMeasurementId == "")) {
				$reportSelection->set("graphic_measurement", $firstMeasurement);
		}
		
	}
	
}


?>