<?php

$id = isset($_REQUEST["id"]) ? $_REQUEST["id"] : null;

if (is_null($id) || $id == "ALL") {
	$dataTypes = DatabaseManager::getDataTypes();	
} else {
	$module = new Module($id, "");
	$dataTypes = $module->getDataTypes();
}

$reportSelection = new ReportSelection();
$reportSelection->set("modulesList", $id);

// Load presentation layer class
$presentation = new Presentation();

// Send data to presentation template
$presentation->assign("datatypeId", "");
$presentation->assign("datatypes", $dataTypes);

// return html
echo $presentation->get_content("components/complete_selection/datatype_list.php", "pages/complete_selection/index.php");

		
?>