<?php

	// Load the initiation file
	require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

	//This will store temporarily the RealTime Data into this Session
	if(!isset($_SESSION["REALTIME"]["LICENSE_MONITOR"])) {
		$_SESSION["REALTIME"]["LICENSE_MONITOR"] = RealTime::getInstance($fresh,true);
	}
	$realtime = &$_SESSION["REALTIME"]["LICENSE_MONITOR"];
	
	$arr = array();
	
	foreach($realtime->getUsers() as $user) {
		$arrContents = array();
		$tmp = false;
		
		if(isset($_SESSION["USERDATA"]["SELECTION"][strtoupper($user->name)])) {
		
			$result = $_SESSION["USERDATA"]["SELECTION"][strtoupper($user->name)];
			$rs0 = $user->name;
			if(isset($result[0]['value'])) {
				$firstName = "";
				$lastName = "";
				
				$rs1 = $result[0]['value'];
				
				
				foreach($result as $row){
					$varName = $row['name'];
					$varValue = $row['value'];

					//skip the sAMAccountName
					if($varName == "sAMAccountName" ){
						continue;
					}
					
					//save the displayname
					if($varName == "name" || $varName == "displayName" || $varName == "cn" ){
						$rs1= $varValue;
						continue;
					}
					//save the first name
					if($varName == "givenName" ){
						$firstName = $varValue;
						continue;
					}
					//save the last name
					if($varName == "sn" ){
						$lastName = $varValue;
						continue;
					}
					
					$varName = $varName == "mail" ? "E-mail" : $varName;
					$varName = $varName == "l" ? "Location" : $varName;
					$varName = ucfirst(preg_replace("([A-Z]+)", " $0", $varName)).":";
					
					if(is_array($row)) {
						$tmp = true;
						$arrContents[] = array("name"=>"{$varName}","value"=>"{$varValue}");
					}
				}
				
				//If we have display name use it otherwise use the concatenated fisrt name and last name
				$rs1 = $rs1 != "" ? $rs1 : ($lastName != "" && $firstName != "") ? $firstName . " " . $lastName : $rs1;
				if($tmp) {
					$arr["{$user->name}"] = array("namevalue"=>"{$rs0}","nameformat"=>"{$rs1}","contents"=>$arrContents);
				}
			}
		}
	}
	echo json_encode($arr);
?>