<?php

// AJAX 
$ids = isset($_POST["ids"]) ? $_POST["ids"] : null;

if (!is_null($ids)) {
	
	// Create array of ids
	$ids = trim($ids) == "" ? array() : explode("|", $ids);
	
	
	// Type
	$type = $_REQUEST["type"];
	
	//This will store temporarily the RealTime Data into this Session
	if(!isset($_SESSION["REALTIME"]["LICENSE_MONITOR"])) {
		$_SESSION["REALTIME"]["LICENSE_MONITOR"] = RealTime::getInstance(false,true);
	}
	$realtime = &$_SESSION["REALTIME"]["LICENSE_MONITOR"];
	
		
	// Set new selections
	switch ($type) {		
		case "products":
			$realtime->setSelections(RealTime::PRODUCT, $ids);
			break;
		
		case "features":
			$realtime->setSelections(RealTime::FEATURE, $ids);
			break;
	
		case "users":
			$realtime->setSelections(RealTime::USER, $ids);
			break;
	}
	
	

}

?>