<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");


// Store state
if (isset($_REQUEST["sort"])) ViewState::setState("periodic_jobs", "sort", $_REQUEST["sort"]);
if (isset($_REQUEST["asc"])) ViewState::setState("periodic_jobs", "asc", $_REQUEST["asc"]);

// Load state
$sortBy = ViewState::getState("periodic_jobs", "sort") != "" ? ViewState::getState("periodic_jobs", "sort") : "date";
$sortAsc = ViewState::getState("periodic_jobs", "asc") == "1" ? true : false;

// Load report loader
$reportLoader = new ReportLoader();

// Load presentation layer class
$presentation = new Presentation();

// Check access to folders!
/*
if (!$_SESSION["USER"]->isAdmin()) {
	$folders = $_SESSION["USER"]->getFolders();
	if (!$_SESSION["USER"]->isMemberOfFolder($folder)) $folder = "";
}
*/
// Send data to presentation
$reports = $reportLoader->getPeriodicJobs($sortBy, $sortAsc);

$presentation->assign("reports", $reports);
$presentation->assign("sortAsc", $sortAsc);

// Show presentation
$presentation->display("pages/periodic_jobs/index.php");

?>