<html>

<head>
<script type="text/javascript">
<!--


function checkIfNameExists(name){
	var maps = document.getElementById('maps');
	var i;
	
	for (i=0; i<maps.options.length; i++) {
		if (maps.options[i].innerHTML == name) {
			return true;
		}
	}
	return false;
	
	}

function validateInput(action){
	var message = "";

	//If it is a delete request just return true
	if (action == "delete") {
		return true;
	}
	
	if(document.getElementById('mappingsource-edit')){
	
		var name = document.getElementById('name');
		var type = document.getElementById('typeid');
                	
		if((name.value).replace(/^\s*|\s*$/,"").length <= 0){
			message = "Name is required!";
			alert(message);
			name.focus();
			return  false;
		}else if((name.value).search(/[^0-9a-zA-Z\-\_\040\.]/g) >= 0){
                    alert("Only alphanumeric characters(A to z, 0 to 9), space, and the following characters (_.-) are allowed.")
                    name.focus();
                    return false;
		}else if(checkIfNameExists(name.value)){
                        var maps = document.getElementById('maps');
                        if(maps.selectedIndex>=0 && maps.options[maps.selectedIndex].innerHTML != name.value){
                            message = name.value+" already exists.\nIt is not allowed to save duplicate source name.";
                            alert(message);
                            name.focus();
                            return false;
			}else if(maps.selectedIndex<0){
                            message = name.value+" already exists.\nIt is not allowed to save duplicate source name.";
                            alert(message);
                            name.focus();
                            return false;
                        }
		}else if(type.selectedIndex == 0){
			message = "Type is required!";
			alert(message);
			type.focus();
			return false;
                }else return true;
	}
	
	if(document.getElementById('mappingsource-editlocal')){
		if(document.getElementById('typeid').value == 1){
			var server = document.getElementById('server');
			var port = document.getElementById('port');
			var authid = document.getElementById('authid');
			var password = document.getElementById('password');
			var path = document.getElementById('path');
			var message = "";
			
			if(server.value.length <= 0){
				message = "Server is required!";
				alert(message);
				server.focus();
				return false;
                        }else if((server.value).search(/[^0-9a-zA-Z\-\_\/:.?+=&%@]/g) >= 0){
                                message = "Server not a valid hostname/IP/URL.";
				alert(message);
				server.focus();
				return false;
			}else if(port.value.length <= 0){
				message = "Port is required!";
				alert(message);
				port.focus();
				return false;
			}else if((port.value).search(/[^0-9]/g) >= 0){
				message = "Not a valid port number";
				alert(message);
				port.focus();
				return false;
                        }else if(authid.value.length <= 0){
				message = "Username is required!";
				alert(message);
				authid.focus();
				return false;
                        }else if((authid.value).search(/[^0-9a-zA-Z\-\_\@\.]/g) >= 0){
                                message = "Only alphanumeric characters(A to z, 0 to 9), underscores(_), dashes(-), at sign (@), and period (.) are allowed as username.";
				alert(message);
				authid.focus();
				return false;
			}else if(password.value.length <= 0){
				message = "Password required!";
				alert(message);
				password.focus();
				return false;
			}else if(path.value.length <= 0){
				message = "Path is required!";
				alert(message);
				path.focus();
				return false;
			}else if(path.value.search(/[^0-9a-zA-Z\-\_\040\.\,\=]/g) >= 0){
                                message = "Only alphanumeric characters(A to z, 0 to 9), space, and the following characters (_.,-=) are allowed as path.";
				alert(message);
				path.focus();
				return false;
			}
		}else{
			var file = document.getElementById('file');
			if(file && file.value.length <= 0){
				message = "File name/path is required!";
				alert(message);
				file.focus();
				return false;
			}else if(file.value.search(/[^0-9a-zA-Z\-\_\040\.\,\=\/\\\:]/g) >= 0){ // this filter is only temporary, file must be verified if it exists
                                message = "Only alphanumeric characters(A to z, 0 to 9), space, and the following characters (_.,:/-=\\) are allowed as file path.";
				alert(message);
				file.focus();
				return false;
			}
		}
			
			
		enableCheckboxes();
		return true;
	}
}

function checkKeycode(e) {
        var keycode;
        if (window.event) keycode = window.event.keyCode;
        else if (e) keycode = e.which;
        if (keycode==13){
                return false;
        }
}

function enableCheckboxes(){
	if(document.getElementById("fields_uid") || document.getElementById("fields_uiddef")){
		var cbox;
		var rbox=document.getElementById("fields_uid");
		var tfields=document.getElementById("schemafields");
		var rows=tfields.getElementsByTagName('tr');
		var cols;
	
		for(var x=1;x<rows.length;x++){
			cols=rows.item(x).getElementsByTagName('td');
			cbox=cols[2].getElementsByTagName('input');
		
			cbox[0].disabled=false;
		}
	}
}

function changeUniqueKey(value){
	enableCheckboxes();
	
	if(document.getElementById("fields_uid")){
		var cbox;
		var rbox=document.getElementById("fields_uid");
		var tfields=document.getElementById("schemafields");
		var rows=tfields.getElementsByTagName('tr');
		var cols;
	
		for(var x=1;x<rows.length;x++){
			cols=rows.item(x).getElementsByTagName('td');
			cbox=cols[2].getElementsByTagName('input');
			idbox =cols[0].getElementsByTagName('input');
			if(idbox[0].checked){
				cbox[0].checked=true;
				cbox[0].disabled=true;
			}
			
		}
	}
}

//suggested selections
function defselect(){
	var cbox;
	var rbox=document.getElementById("fields_uid");
	var tfields=document.getElementById("schemafields");
	var rows=tfields.getElementsByTagName('tr');
	var cols;
	var cbox;
	var rbox;
	var cboxid;
	var dfields=new Array();
	<?php 
	$result = MappingSource::query("select * from attrList");
	for ($i=0;$i<count($result);$i++){
		echo "dfields[".$i."]='".$result[$i]['name']."';";
	}
	
	?>

	if(document.getElementById('fields_uiddef')){
		document.getElementById('fields_uiddef').checked=true;
	}
	for(var x=1;x<rows.length;x++){
		cols=rows.item(x).getElementsByTagName('td');
		
		rbox=cols[0].getElementsByTagName('input');
		cbox=cols[2].getElementsByTagName('input');
		
		for(var i=0;i<10;i++){
			cboxid=cbox[0].id;
			if(cboxid.slice(cboxid.indexOf("[")+1,cboxid.indexOf("]"))==dfields[i]||rbox[0].checked){
				cbox[0].checked=true;
				if(i==0){
					cbox[0].disabled=true;
				}
				break;
			}else{
				cbox[0].checked=false;
			}
		}
	}
}


function editSource(id) {
	top.location = "<?= $controller->getURL() ?>/" + id;
}

function editSourceSettings(type) {
	setContent('editor/schema/index.php', 'mappingsource-editlocal', 'view', 'edit-details', 'type', type);
}

function ddd3() {
	
	//setContent('editor/schema/index.php', 'mappingsource-fieldselector', 'view', 'fields');
	$('testingresults').set('html', 'Please wait..');
        $('noclickhere').setStyle('display','block');

	var htmlRequest = new Request.HTML({url: "connect", onComplete: function(a,a,status){
            if(status.toString() == "Success"){
                var htmlRequest = new Request.HTML({url: "fields.raw?all", onComplete: function(a, a, html){
                        $('mappingsource-fieldselector').set('html', html);
                        $('testingresults').set('html', '');
                        $('noclickhere').setStyle('display','none');
                }}).get();
            }else{
                $('testingresults').set('html', '');
                $('noclickhere').setStyle('display','none');
                if(document.getElementById("get_schema_list"))
                        document.getElementById("get_schema_list").disabled = true;
                if(document.getElementById("reload_button"))
                        document.getElementById("reload_button").disabled = true;
                if(document.getElementById('typeid').value == 1){
                        alert(status);
                }else alert("Can't read the file '"+document.getElementById('file').value+"'!");
            }
            
	}});
    var t=setTimeout(function(){htmlRequest.post($('mapsource'));},100);
	
}

function testConnection() {
    /*Clear the test result label*/
    $('testingresults').set('html', '');
    if(validateInput()){
    $('testingresults').set('html', 'Please wait..');
    $('noclickhere').setStyle('display','block');
    var htmlRequest = new Request.HTML({url: "connect", onComplete: function(a,a,status){

        $('testingresults').set('html', status);
        $('noclickhere').setStyle('display','none');
        if(status.toString() != "Success"){
            if(document.getElementById("get_schema_list")){
                    document.getElementById("get_schema_list").disabled = true;
            }
            alert(status);
        }

        }});
    var t=setTimeout(function(){htmlRequest.post($('mapsource'));},100);
    }
}

function getClasses() {
    $('testingresults').set('html', 'Please wait..');
    $('noclickhere').setStyle('display','block');
    var htmlRequest = new Request.HTML({url: "connect", onComplete: function(a,a,status){

        if(status.toString() == "Success"){
            var jsonRequest = new Request({url: "classes", format: "json", onSuccess: function(result){
            list = eval("(" + result + ')');
                list.each(function(item) {
                    var rec = new Element('option', {'value': item, 'text': item});
                    $('schema').appendChild(rec);				
                });
                $('testingresults').set('html', 'Schema list is updated');
                $('noclickhere').setStyle('display','none');
            }}).get();
        }else{
            $('testingresults').set('html', '');
            $('noclickhere').setStyle('display','none');
            document.getElementById("get_schema_list").disabled = true;
            if(document.getElementById("reload_button")){
                    document.getElementById("reload_button").disabled = true;
            }
            alert(status);
        }

    }});
    var t=setTimeout(function(){htmlRequest.post($('mapsource'));},100);
	
	
}

function btnSwitch(disabled){
    if (document.getElementById("get_schema_list") != null){
        document.getElementById("get_schema_list").disabled = disabled;
    }
    if (document.getElementById("reload_button") != null){
        document.getElementById("reload_button").disabled = disabled;
    }
}

//-->
</script>
</head>

<body>

<div class="clearer"></div>

	<div id="spacer">
		
		<h2 id="mappingsource_header">Mapping Editor - Sources</h2>		
		<?php
				
		$mbc = new MappingBackendConnector();
		/*
		print_r($mbc->getPreviewFieldData(1, 1));
		print_r($mbc->canConnect(1));
		print_r(MapppingManager::getSources());
		*/
		?>

		<!-- 
		sources
		- edit / new / del
		
		- field picker
		 -->
		 
		<div id="mappingsource-list">
		 
			<!-- Sources -->
			<fieldset class="mappingsource">
				<legend>Sources</legend>
				
				<div style="text-align: right;">
					<a href="<?= $controller->getUrl(array('create')) ?>">New Source</a>
				</div>
				<select id="maps" style="width: 100%; height: 100px;" size="10" onchange="editSource(this.options[this.selectedIndex].value)">
					<?php foreach ($list as $source) { ?>
					<option value="<?= $source->getId() ?>" <?= (isset($model) && $model->getId() == $source->getId()) ? 'selected="selected"' : '' ?>><?= htmlspecialchars($source->getName()) ?></option>
					<?php } ?>
				</select>
				
			</fieldset>
		
			 
			<!-- Edit Source-->			
			<div id="mappingsource-edit">
			<?php
				//include "components/editor/schema/source-edit.php"
				// http://webgui/module/mapping/source/1/edit.raw
				if (isset($document->edit)) {
					echo $document->edit;
				}
			?>								
			</div>
			<div class="clearer"></div>
		 </div>
	</div>
		
</body>
</html>
