<?php
	$CSS_for_IE6 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6.') !== FALSE || strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.') !== FALSE) ? '-IE' : ''; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<?	
	RealTime::checkMessages();
	if(isset($_SESSION["ERROR_MESSAGE"])){		?>
				<div id="spacer">
					<h2 id="realtime_header"><?= tt("menu_dashboard_status") ?></h2>
					<?= $_SESSION["ERROR_MESSAGE"]?>
					<br />		<br />	
				</div>
		
	<?}else{
?>
<head>
	<link href="/css/sortableTable.css" rel="stylesheet" type="text/css" />
	<link href="/css/statusmonitor.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="/js/scroller.js"></script>
	
</head>
<body>
<?if (isset($_SESSION["USER"]) && $_SESSION["USER"]->getId() != 9999999) {
	if(SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor.featureexpiry", 0) > 0){?>
	<ul id="level3">
		<?= MenuDisplayer::menu('statussub'); ?>
	</ul>
	<?}
}else{
	include $_SERVER["DOCUMENT_ROOT"] . "/../" . "smarty/pages/header_status.php";
}

$prefix = "http";
if(isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on"){
	$prefix = "https";
}

// Get user selections
$selection = new ReportSelection();

// If we have a offset posted, we use this when displaying checkout time
$TIMEZONE_OFFSET = $selection->get(RealTime::GUI_TIMEZONE_OFFSET) != "" && is_numeric($selection->get(RealTime::GUI_TIMEZONE_OFFSET)) ? (int) $selection->get(RealTime::GUI_TIMEZONE_OFFSET) : 0;

//echo " TIMEZONE" . $TIMEZONE_OFFSET;  
?>	
	<div class="clearer"></div>
<div id="spacer">
	
	<div id="status_license_analyzer" class="statusmodule">
		<h2 class="statusmonitor<?= $CSS_for_IE6; ?>">Product Status</h2>
		
		<fieldset>
			<legend>Current Product Status</legend>

			<div id="sortabletable">

				<!-- Filter function  -->	
				<div class="tableFilter">
			  		<form id="tableFilter" onsubmit="filter(this); return false;" onreset="return false;"><label>Filter:</label>  
						<select id="column">
			  				<option value="0">Product Name</option>
							<option value="1">Connection Status</option>
							<option value="2">License Server</option>
							<option value="3">Port Number</option>
							<option value="4">Last Seen</option>
						</select>
						<input type="text" id="keyword" />
						<input type="submit" value="Submit" />
						<input type="reset" onclick="$('tableFilter').keyword.value=''; filter($('tableFilter'));" value="Clear" />
						
						<div id="paging" class="clsPaging<?= $CSS_for_IE6 ?>" align="right"></div>
						<?php
						$rowsPerPage = $_SESSION["REALTIME"]["PRODUCTS"]["ROW_PAGE"];
						$arrRowPages = array(10,20,35,50,100,200,500);
						echo "<select id=\"rowpage\" class=\"clsRowPage{$CSS_for_IE6}\" onChange=\"RowperPage(this);\">";
						foreach($arrRowPages as $rpages) {	
							$selected = ($rowsPerPage == $rpages) ? "selected=\"selected\"" : ""; 
							echo "<option value=\"{$rpages}\" {$selected}>{$rpages}</option>";			
						}
						echo "</select>";
						echo "<label id=\"rowslabel\" class=\"clsRowPage{$CSS_for_IE6}\">Show rows: </label>"; 
						?>
					</form>
				</div>				  

				<!-- List all products in sortable table  -->
				<table id="license_status_table" >
				<thead>
					<tr>				
						<th width=30% axis="string">Product Name</th>
						<th width=20% axis="string">Connection Status</th>
						<th width=10% axis="string">License Server</th>
						<th width=10% axis="string">Port Number</th>
						<th width=30% axis="number" class="sortedASC">Last Seen</th>
					</tr>
				</thead>
				
				<!-- Create rows, where status is updated based on current time since last poll. TODO: What happens when the server is in another timezone???  -->
				<tbody id="prodBody">
					<tr class="altRow"><td colspan="5" align="center">Loading Data... This will take a few seconds. Please wait...</td></tr>
				</tbody>
				</table>

				<!-- Enable tablesorting -->	
				<script type="text/javascript">
				
						//var license_status_table = {};
						//var license_status_lost_table = {};
						
						var sortField = new Array("product","status","server","port","lastseen");
						var tHead = $('license_status_table').getElement('thead');
						var th = tHead.getElements('th');
						var prodBody = $('prodBody');
						var sortBy = "<?=$_SESSION["REALTIME"]["PRODUCTS"]["ORDER"]?>";
						var jsonString;
						
						window.addEvent('domready', function(){
							//license_status_lost_table2 = new sortableTable('license_status_lost_table', {overCls: 'over', sortOn: '1', sortBy: 'ASC', onClick: function(){alert(this.id)}});
							//license_status_table = new sortableTable('license_status_table', {overCls: '', sortOn: '4', sortBy: 'ASC', onClick: function(){alert(this.id)}});
							showList('<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/products_init',true);
						});

						function showList(url,tbl) {
							var req = new Request.HTML({
								method: 'get',
							    url: url,
							    onRequest: function() {
	 							startLoading();
	 							$('prodBody').set('html','<tr class="altRow"><td colspan="5" align="center">Loading Data... This will take a few seconds. Please wait...</td></tr>'); $('paging').set('html',''); },
							    onSuccess: function(t,d,h,j) {
								    	if(h.indexOf('nodata.php') > 0) {
								    		stopLoading();
									    	$('prodBody').set('html','No data collected. Please try to reload the page.'); 
								    	} else {
								    		stopLoading();
		 									$('prodBody').set('html',h); 
									    	numpages();
									    	if(tbl) tableHeader();
								    	}
								    },
								onTimeout: function() {
										alert('Connection Timeout. Please refresh your page.');
								},
								onFailure: function(x) {
										alert(x);
								    }
							 }).send();
						}

						function sort(i) {
							//Display loading....
							prodBody.set('html','<tr class="altRow"><td colspan="5" align="center">Loading Data... This will take a few seconds. Please wait...</td></tr>');
							th.each(function(e,idx) {
								if(idx != i) {
									e.removeClass('sortedASC');
									e.removeClass('sortedDESC');
								}
							});
							var varURL = "<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/sort/" + sortField[i] + "/" + sortBy;
							var req = new Request.HTML({
								method: 'get',
							    url: varURL,
							    onRequest: function() { startLoading(); prodBody.set('html','<tr class="altRow"><td colspan="5" align="center">Loading Data... This will take a few seconds. Please wait...</td></tr>') },
							    onSuccess: function(t,d,h,j) { 
							    	$('prodBody').set('html',h); 
							    	stopLoading();
								    }
							 }).send();
						 }

						function filter(frm) {
							var col = sortField[frm.column.value];
							var key = frm.keyword.value;
							var url;
							if(key != "")
								url = '<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/filter/' + col + '/' + key;							
							else
								url = '<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/filter';
								
							showList(url,false);
						 }

						function numpages() {
							 var pages = new Request.HTML({
								 url: '<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/pages',
								 method: 'get',
								 onSuccess: function (t,d,h,j) {
									 $('paging').set('html',h); 
									}
								 }).send();
						 }

						function tableHeader() {
							//Set Header
							th.each(function(el,i) {
								el.set({
									events: {
										click: function() {
											if(el.hasClass('sortedASC')){
												el.removeClass('sortedASC');
												el.addClass('sortedDESC');
												sortBy = 'DESC';
											}else if(el.hasClass('sortedDESC')){
												el.removeClass('sortedDESC');
												el.addClass('sortedASC');
												sortBy = 'ASC';
											}else{
												if(sortBy == 'ASC'){
													el.addClass('sortedASC');
													sortBy = 'ASC';
												}else if(sortBy == 'DESC'){
													el.addClass('sortedDESC');
													sortBy = 'DESC';
												}
											}
											sort(i);
										},
										mouseover: function() { this.addClass('tableHeaderOver'); },
										mouseout: function () { this.removeClass('tableHeaderOver'); }
									}
								});
							});
						 }
						//Set rows per page
						 function RowperPage(obj) {
							 var rows = new Request.HTML({
								 url: '<?= parse_url($_SERVER['REQUEST_URI'],PHP_URL_PATH) ?>/rows/' + obj.value,
								 method: 'get',
								 onSuccess: function (t,d,h,j) {
									 showList('/module/product_status/page/1',false);
									 }
								 }).send();
						 }
						
				</script>
				<!-- end div sortabletable -->

			</div>
		</fieldset>

		<div id="alertconfig">		
			<div id="status_email_add">
				<fieldset>
					<legend>Resource Links</legend>	
						<dl>	
							<dd id="sendrss" style="padding-top: 5px; padding-bottom: 10px;">
								<a href="<?= $prefix ?>://<?= $_SERVER['HTTP_HOST'] ?>/module/product_status/feed.rss?xfeed=5050d18b56372079fc5b0fd9fcebb984">RSS Feed</a>
							</dd>
						</dl>
				</fieldset>
			</div>	
		</div>	

<? /*
		<!-- Alert config for RSS feeds and email warnings -->
		<div id="alertconfig">		
			<div id="status_email_add">
				<fieldset>
					<legend>Alert Config</legend>
					<p>Create custom email alerts. Select alert levels, and choose from email or RSS feeds.</p>		
					<form action="<?= $controller->getUrl(array(null, null)) ?>/put"  method="post" title="Send Emails">
						<dl class="floater">
							<dd class="header">Select your alert levels</dd>
							<dd><input type="checkbox" value="1" />15 minutes</dd>
							<dd><input type="checkbox" value="2" />1 hour</dd>
							<dd>
								<input type="checkbox" value="3" />Custom:
								<input type="text" size="2" />
								<select name=timerange>
									<option value=hour>Hours</option>
									<option value=minute>Minutes</option>
								</select>
							</dd>
							<dd><input type="checkbox" value="4" />Product resumes updates</dd>
						</dl>
						<dl class="floater">	
							<dd class="header">Select email or RSS delivery</dd>
							<dd id="sendmail"><input type="text" name="mail" id="mail" value="Enter e-mail address" /><input type="submit" value="Create Email Notification" /></dd>
							<dd id="sendrss"><a href="#">What are RSS feeds? Read more. </a><input type="button" value="Create RSS Feed" name="createRSS"></dd>
						</dl>
						<dl class="clearer"></dl>
					</form>						
				</fieldset>
			</div>	

			<div id="status_email_edit">
				<fieldset>
					<legend>Current Email Notifications</legend>
					<form method="post" action="">
					<table id="email_status_table" cellpadding="0" cellspacing="0">
					<thead>
						<tr class="header" >
							<th colspan="4" axis="string">Alert Level</th>
							<th axis="string">Details</th>
							<th axis="string">Delete Alert</th>
						</tr>
						<tr class="subheader" >
							<th axis="string">15 minutes</th>
							<th axis="string">1 hour</th>
							<th axis="string">Custom</th>
							<th axis="string">Status Resume</th>
							<th axis="string"></th>
							<th axis="string"></th>
						</tr>
					</thead>
					<tbody>
						<tr class="even">
							<td class="checked"></td>
							<td class="checked"></td>
							<td class="custom">4 h</td>
							<td class="unchecked"></td>
							<td class="recipient">To: glenn@openit.com, Subject: [OPENIT] Data Collection Warning <a href="#">Edit subject</a></td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
						<tr class="odd">
							<td class="unchecked"></td>
							<td class="checked"></td>
							<td class="custom">25 m</td>
							<td class="unchecked"></td>
							<td class="recipient">glenn2@openit.com</td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
						<tr class="even">
							<td class="checked"></td>
							<td class="checked"></td>
							<td class="custom">24 h</td>
							<td class="checked"></td>
							<td class="recipient">glenn3@openit.com</td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
					</tbody>
					</table>
					</form>	
				</fieldset>	
			</div>

		</div>
*/ ?>

	</div>
		
</div>
</body><?}?>
</html>
