<?php

class System_Info extends AbstractController {

	/**
	 * @return System_Info_Model
	 */
	public function getModel() {
		
		$openitServerInfo = new OpeniT_Server_Info();
		
		$model = new System_Info_Model();
		$model->version = $openitServerInfo->getServerVersion();
		$model->freedisk = $openitServerInfo->getAvailableDatabaseDisk();
		$model->freediskLimit = SystemSettings::get("com.openit.server.freedisklimit");
		$model->packages =$openitServerInfo->getInstalledPackages();
		//$model->patches =$openitServerInfo->getInstalledPatches();
		$model->patches = $openitServerInfo->getInstalledPatches();
		return $model;
	}
	
	public function getList() {}
	
	public function index() {
	}
	
}

?>
