
<div class="systeminfo_server">
	<fieldset>
	<legend><?= tt("dashboard_systeminfo_server_header") ?></legend>
	<div id="servericon"></div>
	<div id="serverinfo">
		<dl>
			<dt><?= tt("dashboard_systeminfo_server_version") ?></dt> 
			<dd><?= $module->getModel()->version ?></dd>
		</dl>
		<dl>
			<dt><?= tt("dashboard_systeminfo_server_diskspace") ?></dt>
			<dd><span class="<?= ($module->getModel()->freediskLimit > $module->getModel()->freedisk/1024) ? 'warning' : '' ?>"><?= number_format(round($module->getModel()->freedisk/1024), 0, null, ' ') ?> MB</span></dd>
		</dl>
		<dl>
			<dt><?= tt("dashboard_systeminfo_server_installed_patches") ?></dt> 
			<dd><?
			foreach ($module->getModel()->patches as $patch) {
				?>
					<span title="Revision <?= $patch->getRevision() ?>"><?= $patch->getId() ?></span>
				<?php
			}
			?></dd>
		</dl>
	</div>
</fieldset>
</div>

