<?php /*
// $Id: classification_list.php 785 2010-12-14 05:44:12Z rcoros $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all classifications in a selection list.
//
///////////////////////////////////////////////////////////////////////////////*/ ?>

<label><?= tt("completeselection_selection_header_classifications") ?></label>






<div id="classificationsList" name="classificationsList">
<?php if (isset($classifications)) : ?>
<?php foreach($classifications as $classification) { ?>
	<?php if ($classification->getUID() != "T") { ?>
		<div id="classificationItem<?= $classification->getUID() ?>" <?php if ($classification->hasValueSelected()) { ?>class="filtered"<?php } ?>>			
			<?php if ($classification->isVirtualGui()) { ?>
				<span class="virtualgui"><a href="javascript: showClassificationValues('<?= $classification->getUID() ?>', 'classificationItem<?= $classification->getUID() ?>')"><?= $classification->getValue() ?></a></span>
			<?php } else { ?>
				<input type="checkbox" name="classification[]" value="<?= $classification->getUID() ?>" onkeyup="sendClassificationSelection();" onclick="sendClassificationSelection();" <?php if ($classification->isSelected()) { ?>checked="checked"<?php } ?> /><a href="javascript: showClassificationValues('<?= $classification->getUID() ?>', 'classificationItem<?= $classification->getUID() ?>')"><?= $classification->getValue() ?></a>
			<?php } ?>			
		</div>
	<?php } else { ?>
		<div>
			<input type="checkbox" name="classification[]" value="<?= $classification->getUID() ?>" onkeyup="sendClassificationSelection();" onclick="sendClassificationSelection();" <?php if ($classification->isSelected()) { ?>checked="checked"<?php } ?> /><?= $classification->getValue() ?>
		</div>
	<?php } ?>
<?php } ?>
<?php endif; ?>
</div>



<?php if (1==1) return; ?>
<!--  DEL UNDER -->
<script type="text/javascript">
		function sendNewClassificationValuesSelection(classificationId, obj) {
			var selectedClassificationValues = Array();
			var classificationValueObj = obj;
			
			for (var i=0; i<classificationValueObj.options.length; i++) {
				if (classificationValueObj.options[i].selected) {
					selectedClassificationValues.push(classificationValueObj.options[i].value);
				}
			}
							
			// Send selected measurements
			sendData('complete_selection/post_classification_value2.php', 'allDataBack', 'classificationId', classificationId, 'classificationValueIds', selectedClassificationValues.join("|"));	
		
		}
		
		function allDataBack(data) {
			// Data is returned as a JSON object - An eval will parse the object quickly
			var data = eval('(' + data + ')');		
			
			/*
			if (data["classificationvalues"]) {
				gebi("classificationvalues").innerHTML = data["classificationvalues"];
				//addEvent("classificationvaluesList", "onchange", "sendClassificationValuesSelection();");
			}
			*/
			
			for (var i=0; i<data["data"].length; i++) {
				if (data["data"][i] != "T") {
					gebi("classificationvalues" + data["data"][i]).innerHTML = data["classificationvalues" + data["data"][i]];
				}
			}
			
		}
</script>

<div id="classificationsList"></div>
<div id="classificationvaluesList"></div>
<div style="float: left; width: 1000px;">
<?php foreach($classifications as $classification) { ?>
	<?php if ($classification->getUID() != "T") { ?>
		
		<div style="width: 200px; border: 5px solid black; padding: 5px; margin: 5px; float: left;">	
			<div><?= $classification->getValue() ?></div>
			<?php
				$classificationvalues = $classification->getClassificationValues(true);
			?>
			<select id="classificationvalues<?= $classification->getID() ?>" size="20" style="width:200px;" multiple="multiple" onchange="sendNewClassificationValuesSelection('<?= $classification->getUID() ?>', this);">
			<?php foreach($classificationvalues as $classificationvalue) { ?>
				<option value="<?= $classificationvalue->classification->getUID() ?>-<?= $classificationvalue->getUID() ?>" <?php if ($classificationvalue->isSelected()) { ?>selected="selected"<?php } ?>><?= $classificationvalue->getValue() ?></option>
			<?php } ?>
			</select>			
		</div>
		
	<?php } ?>
<?php } $classificationvalues = array(); ?>
</div>


