<?php /*
// $Id: measurement_list.php 1286 2013-07-16 10:24:12Z rcoros $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all measurements in a selection list.
//
///////////////////////////////////////////////////////////////////////////////*/ ?>

<label for="measurementsList"><?= tt("completeselection_selection_header_measurements") ?></label>
<select id="measurementsList" name="measurementsList" multiple="multiple">
<?php 
	if(is_array($measurements)){
		foreach($measurements as $measurement) { ?>
		<option value="<?= $measurement->getId() ?>" <?php if ($measurement->isSelected()) { ?>selected="selected"<?php } ?> title="<?= $measurement->getDescription() ?>">
			<?= $measurement->getValue() ?>
		</option>
<?php }} ?>
</select>
<div>
	<a href="javascript: selectAll('measurementsList'); sendMeasurementsSelection();"><?= tt("global_selectall") ?></a>&nbsp;
	<a href="javascript: unSelectAll('measurementsList'); sendMeasurementsSelection();"><?= tt("global_deselectall") ?></a>
</div>
