<?php include "pages/header.php"; ?>
<?php $_SESSION["USER"]->isAdmin() ? include "components/access_control/submenu.php" : ""?>

<div id="content">
	<div id="spacer">
		<a class="new_user" href="edit_user.php?id=new"><?= tt("accesscontrol_users_header_newuser") ?></a>
		<form action="post_delete_users.php" method="POST">
		<table class="list">
		<caption><img src="/gfx/icons/user24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_users_header_users") ?></caption>
			<thead>
				<tr>
					<th class="status"><?= tt("accesscontrol_users_listheader_username") ?></th>
					<th class="title"><?= tt("accesscontrol_users_listheader_name") ?></th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('userlist', this);" title="Reverse the selections."/></th>
				</tr>
			</thead>
			
			<tbody id="userlist">
			
		<?php foreach($users as $user) { ?>
			<?php $int = (isset($int) && $int == 0) ? 1 : 0; ?>
				<tr <?= ($int == 1) ? 'class="even clickable"' : 'class="odd clickable"' ?>>
					<td class="status" onclick="top.location='edit_user.php?id=<?= $user->getId() ?>'"><?= htmlspecialchars($user->getUsername()) ?></td>
					<td class="title" onclick="top.location='edit_user.php?id=<?= $user->getId() ?>'"><?= htmlspecialchars($user->getName()) ?></td>
					<td class="edit">
						<?php if ($user->getId()==1) { ?><input type="checkbox" title="User cannot be deleted." disabled /><?php }
						else if ($user->getId()==($_SESSION[UserHelper::SESSION_CACHE_KEY]->getId())) { ?><input type="checkbox" title="You can't delete your own user profile. Please ask another administrator to do this." disabled /><?php }
						else {?><input type="checkbox" onclick="markrow(this);" name="user[]" value="<?= $user->getId() ?>" title="Click to select/deselect user for deletion."/><?}?>
					</td>
				</tr>
		<?php } ?>
				
			</tbody>
		
		</table>
		<input id="users_del_selected" type="submit" value=<?= tt("accesscontrol_users_deleteselectedusers") ?> />
		<div class="clearer"></div>
		</form>		
	</div>

</div>

<?php if ($error != "") { ?>
<script type="text/javascript">
showError('<?= $error ?>');
</script>
<?php } ?>
<?php include "pages/footer.php"; ?>
