<?php include "pages/header.php"; ?>

<div id="content">
	<div id="spacer">

		<form action="post_action.php" method="POST">
		
		<input type="hidden" name="currentFolder" value="<?= $currentFolder ?>" />

		<div id="generated_reports_controls1">
			<label for="generated_reports_action1">With Selected:</label>
			<select name="generated_reports_action1" id="generated_reports_action1" onchange="changeAction(this, 1)">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="movetofolder">Move to folder</option>
			</select>
			
			<select name="movetofolder1" id="movetofolder1">
				<?php foreach($folders as $folder) { ?>
					<option value="<?= $folder->getName() ?>"><?= $folder->getName() ?></option>
				<?php } ?>
			</select>
			
			<input type="submit" value="<?= tt("global_form_submit") ?>" />
		</div>
		
		
		<table class="list">
			<caption><img src="/gfx/icons/folder_document.png" border="0" height="24" width="24" /><?= tt("generatedreports_header_generatedreports") ?></caption>
			<thead>
				<tr>
					<th class="date"><a href="index.php?folder=<?= $selectedFolder ?>&amp;sort=date&amp;asc=<?php if ($sortAsc) { ?>0<?php } else { ?>1<?php } ?>"><?= tt("generatedreports_listheader_generationdate") ?></a></th>
					<th class="title"><a href="index.php?folder=<?= $selectedFolder ?>&amp;sort=title&amp;asc=<?php if ($sortAsc) { ?>0<?php } else { ?>1<?php } ?>"><?= tt("generatedreports_listheader_title") ?></a></th>
					<th class="folder">
						<?php /*<a href="index.php?folder=<?= $selectedFolder ?>&amp;sort=folder&amp;asc=<?php if ($sortAsc) { ?>0<?php } else { ?>1<?php } ?>"><?= tt("generatedreports_listheader_folder") ?></a>*/ ?>
						<select name="viewfolder" id="viewfolder" onchange="top.location='index.php?folder='+this.options[this.selectedIndex].value">
							<option value="*"><?= tt("generatedreports_selectfromfolder_value") ?></option>
							<?php foreach($folders as $folder) {
								$exists = FolderManager::checkFolders($folder->getName());
								if ($exists){
									?>
									<option value="<?= $folder->getName() ?>"<?php if ($selectedFolder == $folder->getName()) { ?> selected="selected"<?php } ?>><?= $folder->getName();?></option>
							<?php	}else{//Delete from database
										$aCM = new AccessControlManager();
										$aCM->deleteFolder($folder);	
									}
							 } ?>
						</select>
					</th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('generated_reports_list', this);" /></th>
				</tr>
			</thead>
			
			<tbody id="generated_reports_list">
			
		<?php foreach($reports as $report) { ?>	
			<?php $int = (isset($int) && $int == 0) ? 1 : 0; ?>
			<?php if ($report->getType() == "R") { ?>
					<tr class="periodic <?= ($int == 0) ? 'even' : 'odd' ?>">
						<td class="date"><?= $report->getDate() ?> <?= $report->getTime() ?></td>
							<td class="title">								
								<img src="/gfx/icons/active16.png" border="0" title="<?= tt("generatedreports_list_periodic") ?>" />
								<a id="title_<?= $report->getTemplateId() ?>" href="/report.php?folder=<?= urlencode($report->getFolder()) ?>&amp;id=<?= $report->getTemplateId() ?>&amp;periodic=<?= $report->getId() ?>" target="<?= (ServerConfig::getReuseReportWindow()) ? '_self' : '_blank' ?>"><?php if (!$report->isSeen()) { ?><strong><?php } ?><?= htmlentities($report->getTitle()) ?><?php if (!$report->isSeen()) { ?></strong><?php } ?></a>								
							</td>
						<td class="folder"><?= $report->getFolder() ?></td>
						<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="<?= $report->getTemplateId() ?>|<?= $report->getId() ?>" /></td>
					</tr>
			<?php } else if ($report->getType() == "P") { /* periodic report instances, without a periodc report container.. */ ?>
					<tr class="periodic <?= ($int == 0) ? 'even' : 'odd' ?>">
						<td class="date"><?= $report->getDate() ?> <?= $report->getTime() ?></td>
							<td class="title">								
								<img src="/gfx/icons/active16.png" border="0" title="<?= tt("generatedreports_list_periodic") ?>" />
								<img src="/gfx/icons/pencil16.png" border="0" onclick="showRename('<?= $report->getTemplateId() ?>', true)" class="rename_icon" />
								<span class="rename" id="rename_<?= $report->getTemplateId() ?>" style="display: none;">
									<input type="text" id="<?= $report->getTemplateId() ?>" name="rename_report[<?= $report->getTemplateId() ?>]" value="<?= $report->getTitle() ?>" class="rename_name_input" onKeyPress="return checkKeycode(event)"/>
									<input type="submit" name="rename_submit[<?= $report->getTemplateId() ?>]" value="<?= tt("global_form_rename") ?>" onclick="return nameValidation('<?= $report->getTemplateId() ?>');"/> <input type="button" value="<?= tt("global_form_cancel") ?>" onclick="showRename('<?= $report->getTemplateId() ?>', false)" />
								</span>
								<a id="title_<?= $report->getTemplateId() ?>" href="/report.php?folder=<?= urlencode($report->getFolder()) ?>&amp;id=<?= $report->getTemplateId() ?>&amp;periodic=<?= $report->getId() ?>" target="<?= (ServerConfig::getReuseReportWindow()) ? '_self' : '_blank' ?>"><?php if (!$report->isSeen()) { ?><strong><?php } ?><?= htmlentities($report->getTitle()) ?><?php if (!$report->isSeen()) { ?></strong><?php } ?></a>								
							</td>
						<td class="folder"><?= $report->getFolder() ?></td>
						<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="<?= $report->getTemplateId() ?>|<?= $report->getId() ?>" /></td>
					</tr>
			<?php } else if ($report->getType() == "I") { ?>
					<tr class="<?= ($int == 0) ? 'even' : 'odd' ?>">
						<td class="date"><?= $report->getDate() ?> <?= $report->getTime() ?></td>
							<td class="title">
								<img src="/gfx/icons/pencil16.png" border="0" onclick="showRename('<?= $report->getTemplateId() ?>', true)" class="rename_icon" />
								<span class="rename" id="rename_<?= $report->getTemplateId() ?>" style="display: none;">
									<input type="text" id="<?= $report->getTemplateId() ?>" name="rename_report[<?= $report->getTemplateId() ?>]" value="<?= $report->getTitle() ?>" class="rename_name_input" onKeyPress="return checkKeycode(event)"/>
									<input type="submit" name="rename_submit[<?= $report->getTemplateId() ?>]" value="<?= tt("global_form_rename") ?>" onclick="return nameValidation('<?= $report->getTemplateId() ?>');"/> <input type="button" value="<?= tt("global_form_cancel") ?>" onclick="showRename('<?= $report->getTemplateId() ?>', false)" />
								</span>
								<a id="title_<?= $report->getTemplateId() ?>" href="/report.php?folder=<?= urlencode($report->getFolder()) ?>&amp;id=<?= $report->getTemplateId() ?>" target="<?= (ServerConfig::getReuseReportWindow()) ? '_self' : '_blank' ?>"><?php if (!$report->isSeen()) { ?><strong><?php } ?><?= htmlentities($report->getTitle()) ?><?php if (!$report->isSeen()) { ?></strong><?php } ?></a>
							</td>
						<td class="folder"><?= $report->getFolder() ?></td>
						<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="<?= $report->getTemplateId() ?>|<?= $report->getId() ?>" /></td>
					</tr>
			<?php } ?>
					
		<?php } ?>
				
			</tbody>
		
		</table>
		
		<div id="generated_reports_controls2">
			<label for="generated_reports_action2">With Selected:</label>
			<select name="generated_reports_action2" id="generated_reports_action2" onchange="changeAction(this, 2)">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="movetofolder">Move to folder</option>
			</select>
			<select name="movetofolder2" id="movetofolder2">
				<?php foreach($folders as $folder) { ?>
					<option value="<?= $folder->getName() ?>"><?= $folder->getName() ?></option>
				<?php } ?>
			</select>
			<input type="submit" value="<?= tt("global_form_submit") ?>" />
		</div>
		<div class="clearer"></div>
		<input type="hidden" id="editedName" name="editedName" value=null /> 
		</form>
	</div>
</div>

	
	<script type="text/javascript">
	<!--


function changeAction(obj, id) {

	var type1 = document.getElementById("movetofolder" + id);
	if (obj.selectedIndex == 2) {
		type1.style.display = "inline";
	} else {
		type1.style.display = "none";
	}
}


function showRename(id, show) {
	var form = document.getElementById("rename_" + id );
	var title = document.getElementById("title_" + id );
	if (show) {
    	title.style.display = "none";
			form.style.display = "inline";
	}else{
    	title.style.display = "inline";
			form.style.display = "none";
	}
}

function checkKeycode(e) {
	var keycode;
	var editedName = document.getElementById("editedName");
	if (window.event) keycode = window.event.keyCode;
	else if (e) keycode = e.which;
	if (keycode==13){
		//catch which textbox the return key is pressed
		editedName.name = "EN"+document.activeElement.name;
		return nameValidation(document.activeElement.id);
	}
}

function nameValidation(repId){
	var editedName = document.getElementById("editedName");
	var namebox = document.getElementById(repId);
	name = namebox.value;
	name = name.replace(/^\s*|\s*$/,"");		//trim whitespaces
	if (name == "") {
		alert("You must specify a title on this generated report!");
		namebox.focus();
		return false;
	}else if (name.search(/[^0-9a-zA-Z\-\_\040\<\>\(\)\%\.]/g) >= 0){
		alert("Only alphanumeric characters(A to z, 0 to 9), space, and the following characters (<>()%_.-) are allowed as a report title.");
		//namebox.value = name.replace(/[^0-9a-zA-Z\-\_\040\<\>\(\)\%\.]/g,"");
		namebox.focus();
		return false;
	}
}

	//-->
	</script>
	



<?php include "pages/footer.php"; ?>
