<?php


class AccessControl {

	private $dataTypesAccess;
	private $admin;
	
	function __construct() {
		$this->dataTypesAccess = array();
	}
	
	function addDataTypeAccess($dataTypeAccess) {
		$this->dataTypesAccess[$dataTypeAccess->getId()] = $dataTypeAccess;
	}
	
	
	public function getDataTypesWithAccess() {
		$dataTypesAccess = array();
		foreach ($this->dataTypesAccess as $dataTypeAccess) {
			if ($dataTypeAccess->hasAccess()) {
				$dataTypesAccess[] = $dataTypeAccess;
			}
		}
		return $dataTypesAccess;
	}
	
	public function getDataTypesWithAccessSQLString() {
		$dataTypesAccess = $this->getDataTypesWithAccess();
		$toString = array();
		foreach ($dataTypesAccess as $dataTypeAccess) {
			$toString[] = $dataTypeAccess->getId();
		}
		return implode(",", $toString);
	}
	
	public function getDataTypesAccess() {
		return $this->dataTypesAccess;
	}
	
	public function getDataType($id) {
		if (isset($this->dataTypesAccess[$id])) {
			return $this->dataTypesAccess[$id];
		}
		return false;
	}

}

?>