<?php

define("REPORTSELECTION_CACHE", "reportSelectionCache");

class ReportSelection {
	
	private $variables;
	
	
	function __construct($clear = false) {
		$this->variables = array();
		
		if (!$clear && isset($_SESSION[REPORTSELECTION_CACHE]) && is_array($_SESSION[REPORTSELECTION_CACHE])) {
			$this->variables = $_SESSION[REPORTSELECTION_CACHE];
		}
		
	}
	
	function __destruct() {
		$_SESSION[REPORTSELECTION_CACHE] = $this->variables;
	}
	
	
	public function set($key, $value) {
		$this->variables[$key] = $value;
		$_SESSION[REPORTSELECTION_CACHE] = $this->variables;
	}
	
	public function get($key, $key2 = null) {		
		if (!is_null($key2)) {
			$key .= $key2;
		}
		return isset($this->variables[$key]) ? $this->variables[$key] : "";
	}
	
	public function getVariables() {
		return $this->variables;
	}
	
	public function clear() {
		$this->variables = array();
		$_SESSION[REPORTSELECTION_CACHE] = array();
	}
	
}

?>