<?php

class wgDatabaseWhere extends wgDatabaseReturn {

    public function  __construct($table) {
        parent::__construct($table);
    }

	/**
	 * @return wgDatabaseWhere
	 */
	public function _and($and = null, $value = null) {
		if (!is_null($and)) {
			$this->table->addSQL('AND ' . $and);
			if (!is_null($value)) {
				$this->table->addValue($value);
			}
		}				
		return $this;
	}
	
	/**
	 * @return wgDatabaseWhere
	 */
	public function _or($or = null, $value = null) {
		if (!is_null($or)) {
			$this->table->addSQL('OR ' . $or);
			if (!is_null($value)) {
				$this->table->addValue($value);
			}
		}				
		return $this;
	}
	
	
}


?>