<?php

/**
 * 
 * THIS IS NOT HOW WE WOULD LIKE TO CONTROLL THE MENU SYSTEM IN THE FUTURE
 * 
 * 
 */

class MenuDisplayer {
	
	
	static public function menu($path) {
		self::initializeRegistyValues();
		$openitServerInfo = new OpeniT_Server_Info();
		$serverVersion = $openitServerInfo->getServerVersion();

		
		if (strpos($serverVersion,"-")){
			$serverVersion = substr($serverVersion,0,strpos($serverVersion,"-"));
		}
		$serverVersion = intval(str_pad(str_replace(".","",$serverVersion),8,"0"));
		$menus = array();
		$versionflag="";
		
		if (!isset($_SESSION["USER"])) $_SESSION["USER"] = new User();
		if ($serverVersion<60100000)$versionflag="_before_v6_0_1";
		
		// Construct the menu
		switch ($path) {
			
			// Top menu
			case 'top':

				// Dashboard - Admin View
				if (UserHelper::getCurrentUser()->isAdmin() && SystemSettings::get(SystemSettings::SERVER_NS . "menu.dashboard") > 0) {
					$menus[] = new MenuItem("/dashboard/", tt("menu_dashboard"), array('/module/license_monitor','/module/product_status','/module/feature_status'));
				}
				
				// License Monitor - User View only
				if (
					!UserHelper::getCurrentUser()->isAdmin() &&				// No admin
					UserHelper::getCurrentUser()->isRealtimeUser() &&		// User must be allowed to see realtime usage (user settings)
					RealTime::isRealTimeEnabled() &&						// RealTime must be enabled
					SystemSettings::get(SystemSettings::SERVER_NS . "menu.licensemonitor") > 0	// Menu must not be disabled
					) {
					$menus[] = new MenuItem("/dashboard/license/", tt("menu_dashboard_license"));
				}
				
				if (
					!UserHelper::getCurrentUser()->isAdmin() &&				// No admin
					UserHelper::getCurrentUser()->isRealtimeUser() &&		// User must be allowed to see realtime usage (user settings)
					RealTime::isRealTimeEnabled() &&						// RealTime must be enabled
					SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor") > 0	// Menu must not be disabled
					) {
					$menus[] = new MenuItem('/module/product_status',tt("menu_dashboard_status"),array('/module/product_status','/module/feature_status'));
				}
												
				if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isTemplateUser()) {
					$menus[] = new MenuItem("/template_selection/", tt("menu_templateselection"));
				}
				
				if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isReportGeneratorUser()) {
					$menus[] = new MenuItem("/complete_selection/", tt("menu_completeselection"));
				}
		
		 		if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isTemplateUser() || UserHelper::getCurrentUser()->isReportGeneratorUser()) {
		 			$menus[] = new MenuItem("/periodic_jobs/", tt("menu_periodicjobs"));
				}
						
				if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isViewUser() || UserHelper::getCurrentUser()->isTemplateUser() || UserHelper::getCurrentUser()->isReportGeneratorUser()) {
					$menus[] = new MenuItem("/generated_reports/", tt("menu_generatedreports"));
				}
		
				if (UserHelper::getCurrentUser()->isAdmin()) {
					$menus[] = new MenuItem("/access_control/", tt("menu_administration".$versionflag), array('/admin/', '/module/(system/)?ssettings', '/module/mapping_'));
				}

				//Not displayed in versions before 6.0.1	
				if (UserHelper::getCurrentUser()->isAdmin() && $versionflag=="") {
					$menus[] = new MenuItem("/OpeniT/embedded_index.pl", "Core Admin");
				}

				//It should be seen by all user			
				//Not displayed in versions before 6.0.1	
				if ($versionflag=="") {
					$menus[] = new MenuItem("/resources/", "Resources");
				}
				
				if ($_SESSION["USER"]->isAdmin() == FALSE){
					$menus[] = new MenuItem("/access_control/edit_user.php?id=" . $_SESSION[UserHelper::SESSION_CACHE_KEY]->getId(), "Settings");
				}
				break;
				
				
			// Dashboard - Admin only				
			case 'dashboard':					
				if (
					$_SESSION["USER"]->isAdmin() &&
					SystemSettings::get(SystemSettings::SERVER_NS . "menu.systeminfo") > 0
					) {
					$menus[] = new MenuItem("/dashboard/system_info/", tt("menu_dashboard_systeminfo"));
				}
				
				// Only if its availeble
				if (
					$_SESSION["USER"]->isAdmin() &&
					SystemSettings::get(SystemSettings::SERVER_NS . "menu.licensemonitor") > 0
					) { //|| $_SESSION["USER"]->isRealTimeUser()) {
					$menus[] = new MenuItem("/dashboard/license/", tt("menu_dashboard_license"));
				}

				if (
					$_SESSION["USER"]->isAdmin() &&
					SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor") > 0
					) {
						if(SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor.featureexpiry") > 0){
							$menus[] = new MenuItem("/module/product_status", "Status Monitor", array('/module/product_status','/module/feature_status'));
						}else{
							$menus[] = new MenuItem("/module/product_status", "Status Monitor");
						}
				}
				
				if (
					$_SESSION["USER"]->isAdmin() //&&
					) {
						$entmonitor_url = str_ireplace("!2F","/",SystemSettings::get(SystemSettings::SERVER_NS . "entmonitor.url"));
						if (file_exists('/var/opt/openit/EMS/index.html')) {
							$arr = explode(":", $_SERVER['HTTP_HOST'], 2);
							SystemSettings::set(SystemSettings::SERVER_NS . "entmonitor.url", "http://".$arr[0].":7500");
							$menus[] = new MenuItem('/dashboard/entmonitor/', "Enterprise Monitor");
						}else if(strlen(SystemSettings::get(SystemSettings::SERVER_NS . "entmonitor.url")) > 0 && strcmp($entmonitor_url,"http://EMS_SERVER:EMS_PORT/") != 0) 
							$menus[] = new MenuItem('/dashboard/entmonitor/', "Enterprise Monitor");
						else SystemSettings::set(SystemSettings::SERVER_NS . "entmonitor.url", "");
				}
				break;
				
			// Template Selection
			case 'templates':
				$menus[] = new MenuItem("/template_selection/index.php", tt("menu_templateselection_selection"), array("/template_selection/$"));
				$menus[] = new MenuItem("/template_selection/input.php", tt("menu_templateselection_input"));
				$menus[] = new MenuItem("/template_selection/generate.php", tt("menu_templateselection_generation"));
				break;
				
			// Complete Selection
			case 'complete':
				$menus[] = new MenuItem("/complete_selection/index.php", tt("menu_completeselection_selection"), array("/complete_selection/$"));
				$menus[] = new MenuItem("/complete_selection/presentation.php", tt("menu_completeselection_presentation"), null, "complete_selection_presentation");
				$menus[] = new MenuItem("/complete_selection/generation.php", tt("menu_completeselection_generation"), null, "complete_selection_generation");
				break;
				
			// Period Jobs
			case 'periodic':
				break;
				
			// Generated Reports
			case 'generated':
				break;
				
				
			//Resources
			case 'resources':
				$menus[] = new MenuItem("/resources/index.php", "Documentation", array("/resources/$"));
				$menus[] = new MenuItem("/resources/contact.php", "Contact Open iT");
				break;
								

			// Administrasjons menu
			case 'admin':
				$menus[] = new MenuItem("/access_control/index.php", tt("menu_accesscontrol_users"), array("/access_control/$", "/access_control/edit_user.php"));
				$menus[] = new MenuItem("/access_control/groups.php", tt("menu_accesscontrol_groups"), array("/template_selection/groups.php", "/access_control/edit_group.php"));
				$menus[] = new MenuItem("/admin/disclaimer.php", tt("menu_admin_disclaimer"));				
				if (file_exists($_SERVER['DOCUMENT_ROOT'] . '/../db/map/map.dbl')) {
				  $menus[] = new MenuItem("/module/mapping_source", tt('menu_admin_mapping'), array('/module/mapping_'));
				}				
				$menus[] = new MenuItem("/admin/configuration.php", tt("menu_admin_configuration"), array("/module/ssettings"));
				break;
				
				
			case 'adminsub':
				$menus[] = new MenuItem("/admin/configuration.php", 'General');
				$menus[] = new MenuItem("/module/ssettings", 'Registry');
				break;
				
			case 'mappingsub':
				$menus[] = new MenuItem("/module/mapping_source", tt('module_mapping_source_header'));
				$menus[] = new MenuItem("/module/mapping_config", tt('module_mapping_config_header'));				
				break;
				
			case 'statussub':
				$menus[] = new MenuItem("/module/product_status", tt('module_status_monitor_product'));
				$menus[] = new MenuItem("/module/feature_status", tt('module_status_monitor_feature'));
				break;
		}
		
		
		//

		foreach ($menus as $menu) {
			self::displayItem($menu);
		}
		
			
		
	}
	
	static private function displayItem(MenuItem $menu) {
		
		// Active
		$active = strstr($_SERVER['REQUEST_URI'], $menu->link) ? true : false;
		
		if (!$active && $menu->match != null) {
			foreach ($menu->match as $match) {
				if (preg_match('#'.$match.'#', $_SERVER['REQUEST_URI'])) {
				//if (strstr($_SERVER['REQUEST_URI'], $match))
					$active = true;
				}
			}
		}
		
		$id = is_null($menu->id) ? '' : 'id="' . $menu->id . '"';
		
					
		?>
			<li <?= $id ?> <?= $active ? 'class="active"' : '' ?>>
				<a href="<?= $menu->link ?>" <?= $active ? 'class="active"' : '' ?>><?= $menu->titel ?></a>
			</li>		
		<?php		
	}
	
	
	static public function topMenu() {
		self::menu('top');
	}
	
	
	static public function menu2($menu) {
		?>
		
 		<ul id="level1">
 		
 		<?php if (RealTime::isRealTimeEnabled() && (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isRealtimeUser())) { ?>
			<li <?= self::isActive("/dashboard/*") ?>>
				<a href="/dashboard/" <?= self::isActive("/dashboard/*") ?>><?= tt("menu_dashboard") ?></a>
			</li>
		<?php } ?>
		
 		<?php if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isTemplateUser()) { ?>
			<li <?= self::isActive("/template_selection/*") ?>>
				<a href="/template_selection/" <?= self::isActive("/template_selection/*") ?>><?= tt("menu_templateselection") ?></a>
			</li>
		<?php } ?>
		
		<?php if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isReportGeneratorUser()) { ?>
			<li <?= self::isActive("/complete_selection/*") ?>>
				<a href="/complete_selection/" <?= self::isActive("/complete_selection/*") ?>><?= tt("menu_completeselection") ?></a>
			</li>
		<?php } ?>
		
		<?php if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isTemplateUser() || UserHelper::getCurrentUser()->isReportGeneratorUser()) { ?>
			<li <?= self::isActive("/periodic_jobs/*") ?>>
				<a href="/periodic_jobs/" <?= self::isActive("/periodic_jobs/*") ?>><?= tt("menu_periodicjobs") ?></a>
			</li>
		<?php } ?>
		
		<?php if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isViewUser() || UserHelper::getCurrentUser()->isTemplateUser() || UserHelper::getCurrentUser()->isReportGeneratorUser()) { ?>
			<li <?= self::isActive("/generated_reports/*") ?>>
				<a href="/generated_reports/" <?= self::isActive("/generated_reports/*") ?>><?= tt("menu_generatedreports") ?></a>
			</li>
		<?php } ?>
		
		<?php if (UserHelper::getCurrentUser()->isAdmin()) { ?>
			<li <?= self::isActive("/access_control/*|/admin/*|/module/system/ssettings*") ?>>
				<a href="/access_control/" <?= self::isActive("/access_control/*|/admin/*") ?>><?= tt("menu_administration") ?></a>
			</li>
		<?php } ?>
		
		<!-- RESOURCES -->
		<?php if (UserHelper::getCurrentUser()->isAdmin() || UserHelper::getCurrentUser()->isResourceUser()) { ?>
			<li <?= self::isActive("/resources/*") ?>>
				<a href="/resources/" <?= self::isActive("/resources/*") ?>><?= "Resources" ?></a>
			</li>
		<?php } ?> 
		
		</ul>
		
		<?php
		
	}
	
	static private function initializeRegistyValues(){
		SystemSettings::get(SystemSettings::SERVER_NS . "menu.dashboard", 1);
		SystemSettings::get(SystemSettings::SERVER_NS . "menu.systeminfo", 1);
		SystemSettings::get(SystemSettings::SERVER_NS . "menu.licensemonitor", 1);
		SystemSettings::get(SystemSettings::SERVER_NS . "licensemonitor.overlay.mapping.data", 0);
		SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor", 0);
		SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor.featureexpiry", 0);	
	}
	
	static private function isActive($url, $id = null, $isDisabled = false) {
		
		$id = (!is_null($id)) ? ' id="' . $id . '"' : '';

		// Check if there is a local variable forcing this to be disabled
		if ($isDisabled) {
			return 'class="disabled" onclick="return false;"' . $id;
		}
	
		// Variables with all urls found
		$urls = array();
	
		// Checking urls
	
		// Check if multi strings
		if (strstr($url, "|")) {
			$urls = explode("|", $url);
		}
	
		// One string only
		else {
			$urls[] = $url;
		}
	
		// For each url
		foreach ($urls as $url) {
			
			if (strstr($_SERVER['REQUEST_URI'], $url)) {
				return 'class="active"' . $id;
			}
		
			/*
			// If multi search
			if (strstr($url, "*")) {
				if (strstr($_SERVER['REQUEST_URI'], str_replace("*", "", $url))) {
					return 'class="active"' . $id;
				}
			}
	
			// Single search
			else {
				if (strstr($_SERVER['REQUEST_URI'], $url) == $url) {
					return 'class="active"' . $id;
				}
			}
			*/
		}
	
		return $id;
		
		
		
	}
	
	
	
	
}



?>
