<?php 
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$group = $accessControlManager->getGroup($_REQUEST["id"]);
if (!$group) header("Location: index.php");

$step = 100;
$lastrow = $_REQUEST["mark"];
if (!$lastrow) $lastrow = 0;
$dataTypes = DatabaseManager::getDataTypes();
$count = count(DatabaseManager::getAllClassificationValues('Feature',$_REQUEST["keyword"]));
$features = DatabaseManager::getAllClassificationValuesWithOffset('Feature',$lastrow,$step,$_REQUEST["keyword"]);

foreach($features as $key => $feature) { 
    ?>
        <div class="item" title="<?= wordwrap(htmlspecialchars($feature),40," ",true) ?>" id="featureList">
               <input id="<?= $feature ?>" type="checkbox" name="features[]" value="<?= $feature ?>" <?php if ($group->isMemberOfFeature(sqlite_escape_string(stripslashes($feature)))) { ?>checked="checked"<?php } ?> onchange="saveItem(this,'feature');" /><?= strlen($feature)>30 ? trim(substr(htmlspecialchars($feature), 0, 30))."..." : htmlspecialchars($feature) ?>
        </div>
<?php 
} 
?>

<script type="text/javascript">
    refreshNavi('feature',<?=$lastrow?>,<?=$count?>,'<?=$_REQUEST["keyword"]?>');
</script>