<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

// Error messages
$error = "";
if (isset($_REQUEST["error"])) {
	
	switch ($_REQUEST["error"]) {
		
		case Group::ERROR_GROUPEXISTS:
			$error = $presentation->getText("accesscontrol_groups_status_1");
			break;
			
		case Group::ERROR_NONAME:
			$error = $presentation->getText("accesscontrol_groups_status_2");
			break;
			
		default:
			$error = "N/A";
			break;
	}
}


$accessControlManager = new AccessControlManager();
$groups = $accessControlManager->getGroups();

$presentation->assign("groups", $groups);
$presentation->assign("error", $error);

// Show presentation
$presentation->display("pages/access_control/groups.php");

?>

