<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$dataTypes = DatabaseManager::getDataTypes();

if ($_REQUEST["id"] != "new" && $_REQUEST["id"] != "") {
	$group = $accessControlManager->getGroup($_REQUEST["id"]);
	if (!$group) header("Location: groups.php");
}

if ((!empty($_REQUEST["data"]) && is_array($_REQUEST["data"])) || (!empty($_REQUEST["hdata"]) && is_array($_REQUEST["hdata"]))) {
    if($_REQUEST["type"]=="product") $accessControlManager->updateProductsInGroup($group, $_REQUEST["data"], $_REQUEST["hdata"]);
    else $accessControlManager->updateFeaturesInGroup($group, $_REQUEST["data"], $_REQUEST["hdata"]);
}

// set all Product/Feature to Hidden
if(isset($_REQUEST["hide"]) && $_REQUEST["hide"] == 'hide'){

	$cvtype = $_REQUEST["type"];
	$values = DatabaseManager::getAllClassificationValues(ucfirst($cvtype));
	$accessControlManager->setAllHide($group, $values, ucfirst($cvtype));
}
// set all Product/Feature unHidden
if(isset($_REQUEST["hide"]) && $_REQUEST["hide"] == 'unhide'){
	$cvtype = $_REQUEST["type"];
	$accessControlManager->setAllUnHide($group, ucfirst($cvtype));
}

?>
