<?php

/**
 * 
 * NB:	This class is returing text strings like "OK-1" and "ERROR"
 * 		Don't remove this code! It's not for debuging..
 * 
 */

// Load active datatype
$dataType =& $_SESSION["ACTIVE"];

if (is_null($dataType)) return;

// Local variables, default they are all 0
$classificationCount = 0;
$measurementCount = 0;


// Page its triggerd from
$page = isset($_REQUEST['page']) ? $_REQUEST['page'] : null; 


// Get all measurements and classifications
$measurements = $dataType->getMeasurements();
$classifications = $dataType->getClassifications();


// Get user selection
$reportSelection = new ReportSelection();


// Check if we have one classification selected
foreach ($classifications as $classification) {
	if ($classification->isSelected()) {
		$classificationCount++;
	}
}

// Check if we have one measuremnt selected
/* @var $measurement Measurement */
foreach ($measurements as $measurement) {
	if ($measurement->isSelected()) {
		$measurementCount++;
		
		// If we have table as page, we need to check if we have "sort by" selected
		if (!is_null($page) && $page == 'table') {
			if (
			
				($reportSelection->get('table_filter') == 'threshold' && $reportSelection->get('table_measurement_threshold_sort') == $measurement->getId()) || 
				($reportSelection->get('table_filter') == 'top' && $reportSelection->get('table_measurement_top_sort') == $measurement->getId()) || 
				($reportSelection->get('table_filter') == 0 && $reportSelection->get('table_measurement_0_sort') == $measurement->getId())
				) {
				$sortBy = true;
			}
			
		}
		
	}
}

		
// presentation_type // $_SESSION[SELECTED_PRESENTATION] = "chart";

if ($classificationCount > 0 && $measurementCount > 0) {
	
	// Presentation is allowed		
	ViewState::setState("complete_selection_presentation", ViewState::DISABLED, false);
	
	
	// If its a table, make sure we have at least one element in vertical list
	if (isset($_SESSION[SELECTED_PRESENTATION]) && $_SESSION[SELECTED_PRESENTATION] != "chart") {
		
		ViewState::setState("complete_selection_generation", ViewState::DISABLED, false);
		
		$box2hasItems = false;
		$box3hasItems = false;		
				
		foreach ($classifications as $classification) {
			if (!$classification->isSelected()) continue;
				@list($box, $index) = @explode(":", $reportSelection->get("table_classification_location_", $classification->getId()));		

				if ($box == "" || $box == 2) {					
					$box2hasItems = true;
				} else if ($box == 3) {
					$box3hasItems = true;
					ViewState::setState("complete_selection_generation", ViewState::DISABLED, true);
				} else {
					ViewState::setState("complete_selection_generation", ViewState::DISABLED, true);
				}
		}
		
		if ($box3hasItems && isset($sortBy) && $sortBy) {
			ViewState::setState("complete_selection_generation", ViewState::DISABLED, true);
			echo "ERROR-1";
			return;			
		}
			
		if ($box2hasItems) {
			ViewState::setState("complete_selection_generation", ViewState::DISABLED, false);
			echo "OK-1";
			return;
		}
			
		echo "OK-2";
		
		// 
		
	} else {
		
		if ($classificationCount >= 2) {
			echo "OK-1";
			ViewState::setState("complete_selection_generation", ViewState::DISABLED, false);
		} else {		
			echo "OK-2";
			ViewState::setState("complete_selection_generation", ViewState::DISABLED, true);
		}
	}
	
			
} else {
	echo "ERROR";
	ViewState::setState("complete_selection_presentation", ViewState::DISABLED, true);
	ViewState::setState("complete_selection_generation", ViewState::DISABLED, true);
}


?>