<?php

// No time limit
set_time_limit(0);

// Get classifications IDs that are selected

$classificationId = isset($_REQUEST["classificationId"]) ? $_REQUEST["classificationId"] : null;
$classificationValueIds = isset($_REQUEST["classificationValueIds"]) ? explode("|", $_REQUEST["classificationValueIds"]) : null;


if (!is_null($classificationValueIds)) {
	
	// NEW SETTING
	if (!isset($_SESSION["NEW_STAT"])) {
		 $_SESSION["NEW_STAT"] = array();
	}
	
	$stat = $_SESSION["NEW_STAT"];
	$_SESSION["NEW_STAT"] = array();
	
	// Remove old selection on this classification
	foreach ($stat as $key => $value) {
		if ($value != $classificationId) {
			$_SESSION["NEW_STAT"][$key] = $value; 
		}
	}
	
	// Add new selection to this classification
	foreach ($classificationValueIds as $classificationValueId) {
		list ($id, $value) = explode("-", $classificationValueId);
		if ($id == "" || $value == "") continue;			
		$_SESSION["NEW_STAT"][$value] = $id; 
	}
	// \NEW SETTING
	
	
	// Load active datatype
	$dataType =& $_SESSION["ACTIVE"];

	// Active classification
	$activeClassification = null;
	
	// Remove existing selections if there is a classification id given
	if (!is_null($classificationId)) {
		$classification = $dataType->getClassification($classificationId);
		$classification->removeSelections();
		$activeClassification = $classificationId;
	}
	
	// Parse each values given
	foreach ($classificationValueIds as $classificationValueId) {
		
		list ($classificationId, $value) = explode("-", $classificationValueId);

		if ($classificationId != $activeClassification || is_null($classification))	{
			$classification =& $dataType->getClassification($classificationId);
			$classification->removeSelections();
			$activeClassification = $classificationId;
		}
		
		$classification->addSelection($value);
		
	}
		
	
}


?>