<?php

// No time limit
set_time_limit(0);

// Get classifications IDs that are selected

$classificationValueIds = isset($_REQUEST["classificationValueIds"]) ? explode("|", $_REQUEST["classificationValueIds"]) : null;


if (!is_null($classificationValueIds)) {
	
	// NEW SETTING
	if (!isset($_SESSION["NEW_STAT"])) {
		 $_SESSION["NEW_STAT"] = array();
	}
	
	$stat = $_SESSION["NEW_STAT"];
	$_SESSION["NEW_STAT"] = array();
	
	$classificationId = null;
	
	// Add new selection to this classification
	foreach ($classificationValueIds as $classificationValueId) {
		if (trim($classificationValueId) == "") continue;
		list ($id, $value) = explode("-", $classificationValueId);
		
		// Remove old selection on this classification
		if ($classificationId == null) {
			$classificationId = $id;
			foreach ($stat as $key => $value2) {
				if ($value2 != $classificationId) {
					$_SESSION["NEW_STAT"][$key] = $value2; 
				}
			}			
		}
		
		
		if ($id == "" || $value == "") continue;			
		$_SESSION["NEW_STAT"][$value] = $id; 
	}
	// \NEW SETTING
	

	// Return all other data
	$data = array();
	
	$data["data"] = array();
	
	
	foreach ($_SESSION["ACTIVE"]->getClassifications() as $classification) {
		if ($classification->getID() == "T") continue;
		
		$data["data"][] = $classification->getID();
		/* @var $classification Classification */
		
		$html = "";
		foreach ($classification->getClassificationValues(true) as $classificationvalue) {
			$html .= '<option value="' . $classificationvalue->classification->getUID() . '-' . $classificationvalue->getUID() . '" '. ($classificationvalue->isSelected() ? 'selected="selected"' : '') . '>' . $classificationvalue->getValue() . '</option>';
		}
				
		$data["classificationvalues" . $classification->getID()] = $html;;
	}

	
	echo php2js($data);


}


?>