<?php
//This will store temporarily the RealTime Data into this Session
if(!isset($_SESSION["REALTIME"]["LICENSE_MONITOR"])) {
	$_SESSION["REALTIME"]["LICENSE_MONITOR"] = RealTime::getInstance(false,true);
}
$realtime = &$_SESSION["REALTIME"]["LICENSE_MONITOR"];

$presentation = new Presentation();
$type = isset($_REQUEST["type"]) ? $_REQUEST["type"] : null;


switch ($type) {
	case 1:
		$presentation->assign("mapRename", $_SESSION['productRenameMap']);
		$presentation->assign("list", $realtime->getProducts());
		$presentation->assign("type", "products");		
		$data["realtime_products_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		break;		
		
	case 2:
		$presentation->assign("mapRename", $_SESSION['featureRenameMap']);
		$presentation->assign("list", $realtime->getFeatures());
		$presentation->assign("type", "features");
		$data["realtime_features_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		break;		
		
	case 3:
		$presentation->assign("list", $realtime->getUsers());
		$presentation->assign("type", "users");
		$data["realtime_users_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		break;

	default:
		$presentation->assign("mapRename", $_SESSION['productRenameMap']);
		$presentation->assign("list", $realtime->getProducts());
		$presentation->assign("type", "products");
		$data["realtime_products_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		$presentation->assign("mapRename", $_SESSION['featureRenameMap']);
		$presentation->assign("list", $realtime->getFeatures());
		$presentation->assign("type", "features");
		$data["realtime_features_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		$presentation->assign("list", $realtime->getUsers());
		$presentation->assign("type", "users");
		$data["realtime_users_list_outer"] = $presentation->get_content("components/dashboard/license/value_list.php");
		break;
		
}

echo php2js($data);


?>