<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

$openitServerInfo = new OpeniT_Server_Info();

// Send data to presentation
$presentation->assign("version", $openitServerInfo->getServerVersion());
$presentation->assign("freedisk", $openitServerInfo->getAvailableDatabaseDisk());
$presentation->assign("packages", $openitServerInfo->getInstalledPackages());

$patches = array();
foreach ($openitServerInfo->getInstalledPatches() as $patch) {
	$patches[] = $patch->getId();
}

$presentation->assign("patches", $patches);
//$presentation->assign("clients", $openitServerInfo->getClientLog());
$presentation->assign("clients", array());

// Show presentation
$presentation->display("pages/dashboard/system_info/index.php");

?>