<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();


//////////////////////////////////////////////////


class SchemaField {
	public $name;
	
	public function __construct($name) {
		$this->name = $name; 
	}
	
}

$schemas = array();
$schemas[] = 'msExchDomainContentConfig';
$schemas[] = 'msExchCTP';
$schemas[] = 'msExchComputerPolicy';
$schemas[] = 'mSMailConnector';
$schemas[] = 'mS-SQL-SQLRepository';
$schemas[] = 'serviceAdministrationPoint';
$schemas[] = 'msWMI-RealRangeParam';
$schemas[] = 'msExchInformationStore';
$schemas[] = 'aCSPolicy';
$schemas[] = 'msExchChatUserClass';
$schemas[] = 'msExchAdminGroup';
$schemas[] = 'displayTemplate';
$schemas[] = 'msExchProtocolCfgPOPPolicy';
$schemas[] = 'fileLinkTrackingEntry';
$schemas[] = 'msExchProtocolCfgIMVirtualServer';
$schemas[] = 'msExchProtocolCfgProtocolContainer';
$schemas[] = 'msMQ-Custom-Recipient';
$schemas[] = 'classStore';
$schemas[] = 'ipsecISAKMPPolicy';
$schemas[] = 'msExchConferenceContainer';
$schemas[] = 'computer';
$schemas[] = 'cRLDistributionPoint';
$schemas[] = 'msWMI-UintSetParam';
$schemas[] = 'mailGateway';
$schemas[] = 'localDXA';
$schemas[] = 'msExchAddressListService';
$schemas[] = 'msExchMessageDeliveryConfig';
$schemas[] = 'dMD';
$schemas[] = 'dSA';
$schemas[] = 'rFC1006Stack';
$schemas[] = 'serviceInstance';
$schemas[] = 'msExchPoliciesContainer';
$schemas[] = 'msExchOmaDeviceType';
$schemas[] = 'secret';
$schemas[] = 'msRTCSIP-Registrar';
$schemas[] = 'inetOrgPerson';
$schemas[] = 'pKICertificateTemplate';
$schemas[] = 'msExchOmaDeliveryProvider';
$schemas[] = 'lostAndFound';
$schemas[] = 'protocolCfgShared';
$schemas[] = 'msExchPrivateMDB';
$schemas[] = 'mSMQConfiguration';
$schemas[] = 'msExchSMTPTurfList';
$schemas[] = 'subnetContainer';
$schemas[] = 'aCSResourceLimits';
$schemas[] = 'msExchPFTree';
$schemas[] = 'user';
$schemas[] = 'msExchRoutingGroupContainer';
$schemas[] = 'leaf';
$schemas[] = 'siteConnector';
$schemas[] = 'msMQ-Group';
$schemas[] = 'protocolCfgSMTP';
$schemas[] = 'msExchProtocolCfgIMContainer';
$schemas[] = 'msExchOmaConnector';
$schemas[] = 'protocolCfgHTTPServer';
$schemas[] = 'interSiteTransport';
$schemas[] = 'msWMI-StringSetParam';
$schemas[] = 'msExchReplicationConnectorContainer';
$schemas[] = 'fTDfs';
$schemas[] = 'printQueue';
$schemas[] = 'linkTrackVolEntry';
$schemas[] = 'msWMI-MergeablePolicyTemplate';
$schemas[] = 'msExchPublicFolderTreeContainer';
$schemas[] = 'adminExtension';
$schemas[] = 'msExchProtocolCfgHTTPVirtualDirectory';
$schemas[] = 'msExchExchangeServerPolicy';
$schemas[] = 'exchangeAdminService';
$schemas[] = 'securityPrincipal';
$schemas[] = 'siteLinkBridge';
$schemas[] = 'msDS-AzTask';
$schemas[] = 'msExchMultiMediaUser';
$schemas[] = 'x400Link';
$schemas[] = 'foreignSecurityPrincipal';
$schemas[] = 'nTFRSSettings';
$schemas[] = 'msDS-App-Configuration';
$schemas[] = 'msWMI-RangeParam';
$schemas[] = 'msExchAdminRole';
$schemas[] = 'msExchProtocolCfgIM';
$schemas[] = 'msWMI-Rule';
$schemas[] = 'samDomain';
$schemas[] = 'samDomainBase';
$schemas[] = 'msExchAddressListServiceContainer';
$schemas[] = 'msRTCSIP-Search';
$schemas[] = 'classRegistration';
$schemas[] = 'msExchIMRecipient';
$schemas[] = 'trustedDomain';
$schemas[] = 'msRTCSIP-Pools';
$schemas[] = 'msExchPseudoPF';
$schemas[] = 'dfsConfiguration';
$schemas[] = 'msExchSNADSConnector';
$schemas[] = 'msExchSmtpConnectionTurfListRule';
$schemas[] = 'msExchConferenceSite';
$schemas[] = 'msRTCSIP-EdgeProxy';
$schemas[] = 'protocolCfgSMTPDomain';
$schemas[] = 'msWMI-SimplePolicyTemplate';
$schemas[] = 'rFC822LocalPart';
$schemas[] = 'msExchContentConfigContainer';
$schemas[] = 'protocolCfgHTTPSite';
$schemas[] = 'msDS-AppData';
$schemas[] = 'msExchOmaUser';
$schemas[] = 'top';
$schemas[] = 'msWMI-ObjectEncoding';
$schemas[] = 'rASStack';
$schemas[] = 'mHSLinkMonitoringConfig';
$schemas[] = 'msExchChatNetwork';
$schemas[] = 'tP4Stack';
$schemas[] = 'msExchOmaDeviceCapability';
$schemas[] = 'intellimirrorGroup';
$schemas[] = 'msExchProtocolCfgSMTPIPAddressContainer';
$schemas[] = 'msExchSystemObjectsContainer';
$schemas[] = 'msExchAddressingPolicy';
$schemas[] = 'msExchKeyManagementServer';
$schemas[] = 'msPKI-Key-Recovery-Agent';
$schemas[] = 'dynamicObject';
$schemas[] = 'serviceConnectionPoint';
$schemas[] = 'msExchCustomAttributes';
$schemas[] = 'domain';
$schemas[] = 'subSchema';
$schemas[] = 'msExchMailStorage';
$schemas[] = 'msExchNotesConnector';
$schemas[] = 'fileLinkTracking';
$schemas[] = 'msExchPublicMDB';
$schemas[] = 'organization';
$schemas[] = 'remoteDXA';
$schemas[] = 'msWMI-UnknownRangeParam';
$schemas[] = 'meeting';
$schemas[] = 'account';
$schemas[] = 'msRTCSIP-Server';
$schemas[] = 'protocolCfgPOPServer';
$schemas[] = 'transportStack';
$schemas[] = 'msExchPrivateMDBProxy';
$schemas[] = 'msExchSchedulePlusConnector';
$schemas[] = 'msExchReplicationConnector';
$schemas[] = 'msExchSiteReplicationService';
$schemas[] = 'msExchPublicMDBPolicy';
$schemas[] = 'friendlyCountry';
$schemas[] = 'applicationSiteSettings';
$schemas[] = 'protocolCfgNNTPSite';
$schemas[] = 'msExchActiveDirectoryConnector';
$schemas[] = 'physicalLocation';
$schemas[] = 'storage';
$schemas[] = 'addressBookContainer';
$schemas[] = 'msExchChatChannel';
$schemas[] = 'msExchOmaConfigurationContainer';
$schemas[] = 'document';
$schemas[] = 'msExchConnectionAgreement';
$schemas[] = 'msExchOmaCarrier';
$schemas[] = 'connectionPoint';
$schemas[] = 'nTFRSMember';
$schemas[] = 'dHCPClass';
$schemas[] = 'msWMI-UintRangeParam';
$schemas[] = 'rIDManager';
$schemas[] = 'mSMQSettings';
$schemas[] = 'nTFRSReplicaSet';
$schemas[] = 'protocolCfgIMAP';
$schemas[] = 'residentialPerson';
$schemas[] = 'msWMI-ShadowObject';
$schemas[] = 'msExchGenericPolicyContainer';
$schemas[] = 'protocolCfgHTTP';
$schemas[] = 'rRASAdministrationDictionary';
$schemas[] = 'msExchProtocolCfgHTTPFilter';
$schemas[] = 'ipsecBase';
$schemas[] = 'protocolCfgSMTPServer';
$schemas[] = 'msDS-AzScope';
$schemas[] = 'aCSSubnet';
$schemas[] = 'msRTCSIP-Domain';
$schemas[] = 'mSMQSiteLink';
$schemas[] = 'msExchProtocolCfgPOPContainer';
$schemas[] = 'contact';
$schemas[] = 'rASX400Link';
$schemas[] = 'applicationVersion';
$schemas[] = 'interSiteTransportContainer';
$schemas[] = 'rIDSet';
$schemas[] = 'msExchProtocolCfgNNTPContainer';
$schemas[] = 'msExchRoutingGroup';
$schemas[] = 'builtinDomain';
$schemas[] = 'volume';
$schemas[] = 'msExchRecipientPolicy';
$schemas[] = 'msDS-AzOperation';
$schemas[] = 'msExchChatBan';
$schemas[] = 'mS-SQL-OLAPDatabase';
$schemas[] = 'msWMI-WMIGPO';
$schemas[] = 'msExchSchemaMapPolicy';
$schemas[] = 'msExchOAB';
$schemas[] = 'applicationProcess';
$schemas[] = 'protocolCfgPOPSite';
$schemas[] = 'msRTCSIP-Pool';
$schemas[] = 'nTDSDSA';
$schemas[] = 'sitesContainer';
$schemas[] = 'msExchMonitorsContainer';
$schemas[] = 'mS-SQL-OLAPServer';
$schemas[] = 'tP4X400Link';
$schemas[] = 'nTFRSSubscriptions';
$schemas[] = 'msExchBaseClass';
$schemas[] = 'comConnectionPoint';
$schemas[] = 'protocolCfgIMAPServer';
$schemas[] = 'msExchGroupWiseConnector';
$schemas[] = 'protocolCfgSMTPDomainContainer';
$schemas[] = 'msRTCSIP-Archive';
$schemas[] = 'remoteMailRecipient';
$schemas[] = 'msExchProtocolCfgHTTPContainer';
$schemas[] = 'msWMI-PolicyTemplate';
$schemas[] = 'crossRefContainer';
$schemas[] = 'dXASiteServer';
$schemas[] = 'linkTrackObjectMoveTable';
$schemas[] = 'msRTCSIP-Service';
$schemas[] = 'msExchChatProtocol';
$schemas[] = 'intellimirrorSCP';
$schemas[] = 'displaySpecifier';
$schemas[] = 'msDS-AzAdminManager';
$schemas[] = 'certificationAuthority';
$schemas[] = 'msWMI-Som';
$schemas[] = 'msExchDynamicDistributionList';
$schemas[] = 'mHSMonitoringConfig';
$schemas[] = 'msExchContainer';
$schemas[] = 'msExchConnector';
$schemas[] = 'remoteStorageServicePoint';
$schemas[] = 'msExchMCUContainer';
$schemas[] = 'protocolCfgLDAPSite';
$schemas[] = 'mailConnector';
$schemas[] = 'addrType';
$schemas[] = 'msExchConnectors';
$schemas[] = 'domainRelatedObject';
$schemas[] = 'msPKI-Enterprise-Oid';
$schemas[] = 'msExchPrivateMDBPolicy';
$schemas[] = 'linkTrackOMTEntry';
$schemas[] = 'msExchProtocolCfgPOPSessions';
$schemas[] = 'protocolCfgIMAPSite';
$schemas[] = 'protocolCfgNNTP';
$schemas[] = 'msExchGenericPolicy';
$schemas[] = 'protocolCfgSharedSite';
$schemas[] = 'msExchProtocolCfgIMAPSessions';
$schemas[] = 'msExchStorageGroup';
$schemas[] = 'msExchIMGlobalSettingsContainer';
$schemas[] = 'protocolCfgPOP';
$schemas[] = 'nTFRSSubscriber';
$schemas[] = 'locality';
$schemas[] = 'msCOM-PartitionSet';
$schemas[] = 'rFC1006X400Link';
$schemas[] = 'msExchProtocolCfgHTTPFilters';
$schemas[] = 'ipsecNFA';
$schemas[] = 'msRTCSIP-Federation';
$schemas[] = 'msExchOmaDataSource';
$schemas[] = 'groupOfUniqueNames';
$schemas[] = 'protocolCfgLDAP';
$schemas[] = 'msRTCSIP-TrustedServer';
$schemas[] = 'protocolCfgLDAPServer';
$schemas[] = 'protocolCfgSMTPRoutingSources';
$schemas[] = 'mS-SQL-SQLPublication';
$schemas[] = 'queryPolicy';
$schemas[] = 'dXServerConn';
$schemas[] = 'nTDSService';
$schemas[] = 'addressTemplate';
$schemas[] = 'dnsNode';
$schemas[] = 'msCOM-Partition';
$schemas[] = 'samServer';
$schemas[] = 'domainDNS';
$schemas[] = 'securityObject';
$schemas[] = 'msTAPI-RtPerson';
$schemas[] = 'msExchProtocolCfgSMTPPolicy';
$schemas[] = 'person';
$schemas[] = 'msExchProtocolCfgIMAPPolicy';
$schemas[] = 'controlAccessRight';
$schemas[] = 'rpcServerElement';
$schemas[] = 'mS-SQL-OLAPCube';
$schemas[] = 'groupOfNames';
$schemas[] = 'msExchAdminGroupContainer';
$schemas[] = 'pKIEnrollmentService';
$schemas[] = 'encryptionCfg';
$schemas[] = 'msExchIMFirewall';
$schemas[] = 'classSchema';
$schemas[] = 'msTAPI-RtConference';
$schemas[] = 'ipsecNegotiationPolicy';
$schemas[] = 'organizationalPerson';
$schemas[] = 'msieee80211-Policy';
$schemas[] = 'msExchExchangeServer';
$schemas[] = 'msWMI-PolicyType';
$schemas[] = 'msExchConfigurationContainer';
$schemas[] = 'attributeSchema';
$schemas[] = 'msExchChatVirtualNetwork';
$schemas[] = 'publicFolder';
$schemas[] = 'protocolCfg';
$schemas[] = 'msExchProtocolCfgIMAPContainer';
$schemas[] = 'configuration';
$schemas[] = 'mS-SQL-SQLDatabase';
$schemas[] = 'groupPolicyContainer';
$schemas[] = 'crossRef';
$schemas[] = 'applicationSettings';
$schemas[] = 'msExchccMailConnector';
$schemas[] = 'msExchUce';
$schemas[] = 'nTDSConnection';
$schemas[] = 'serversContainer';
$schemas[] = 'rRASAdministrationConnectionPoint';
$schemas[] = 'mailRecipient';
$schemas[] = 'ipsecFilter';
$schemas[] = 'msExchMailboxManagerPolicy';
$schemas[] = 'indexServerCatalog';
$schemas[] = 'serviceClass';
$schemas[] = 'msExchSystemPolicyContainer';
$schemas[] = 'group';
$schemas[] = 'mTA';
$schemas[] = 'msExchOmaContainer';
$schemas[] = 'msExchServersContainer';
$schemas[] = 'subnet';
$schemas[] = 'infrastructureUpdate';
$schemas[] = 'country';
$schemas[] = 'siteAddressing';
$schemas[] = 'packageRegistration';
$schemas[] = 'msExchOrganizationContainer';
$schemas[] = 'device';
$schemas[] = 'dnsZone';
$schemas[] = 'rpcProfile';
$schemas[] = 'msDS-AzApplication';
$schemas[] = 'msDS-QuotaContainer';
$schemas[] = 'dXRequestor';
$schemas[] = 'dSUISettings';
$schemas[] = 'site';
$schemas[] = 'msExchMCU';
$schemas[] = 'msExchProtocolCfgSharedContainer';
$schemas[] = 'msExchRoutingGroupConnector';
$schemas[] = 'x25Stack';
$schemas[] = 'rpcEntry';
$schemas[] = 'protocolCfgSMTPSessions';
$schemas[] = 'msPKI-PrivateKeyRecoveryAgent';
$schemas[] = 'rpcGroup';
$schemas[] = 'msWMI-IntSetParam';
$schemas[] = 'linkTrackVolumeTable';
$schemas[] = 'rpcServer';
$schemas[] = 'mSMQMigratedUser';
$schemas[] = 'msDS-QuotaControl';
$schemas[] = 'msExchProtocolCfgSMTPIPAddress';
$schemas[] = 'simpleSecurityObject';
$schemas[] = 'mS-SQL-SQLServer';
$schemas[] = 'organizationalUnit';
$schemas[] = 'server';
$schemas[] = 'applicationEntity';
$schemas[] = 'rpcContainer';
$schemas[] = 'msExchMDB';
$schemas[] = 'organizationalRole';
$schemas[] = 'msExchSystemPolicy';
$schemas[] = 'msExchCertificateInformation';
$schemas[] = 'nTDSSiteSettings';
$schemas[] = 'msExchSmtpConnectionTurfList';
$schemas[] = 'protocolCfgSharedServer';
$schemas[] = 'ipsecPolicy';
$schemas[] = 'mSMQEnterpriseSettings';
$schemas[] = 'msRTCSIP-EnterpriseServerSettings';
$schemas[] = 'addIn';
$schemas[] = 'siteLink';
$schemas[] = 'msExchRecipientPolicyContainer';
$schemas[] = 'typeLibrary';
$schemas[] = 'domainPolicy';
$schemas[] = 'msRTCSIP-GlobalContainer';
$schemas[] = 'x25X400Link';
$schemas[] = 'msExchProtocolCfgSMTPContainer';
$schemas[] = 'msExchRoutingSMTPConnector';
$schemas[] = 'room';
$schemas[] = 'licensingSiteSettings';
$schemas[] = 'mTACfg';
$schemas[] = 'msRTCSIP-ArchivingServer';
$schemas[] = 'protocolCfgSMTPSite';
$schemas[] = 'protocolCfgNNTPServer';
$schemas[] = 'msExchAdvancedSecurityContainer';
$schemas[] = 'mSMQQueue';
$schemas[] = 'msDS-AzRole';
$schemas[] = 'msWMI-IntRangeParam';
$schemas[] = 'msExchOVVMConnector';
$schemas[] = 'msExchCalendarConnector';
$schemas[] = 'container';
$schemas[] = 'msExchPseudoPFAdmin';
$schemas[] = 'categoryRegistration';
$schemas[] = 'msRTCSIP-PoolService';
$schemas[] = 'mHSServerMonitoringConfig';
$schemas[] = 'documentSeries';
$schemas[] = 'msExchIpConfContainer';
$schemas[] = 'rpcProfileElement';

/*
$schemaFields = array();
$schemaFields[] = new SchemaField('maxStorage');
$schemaFields[] = new SchemaField('msRTCSIP-UserExtension');
$schemaFields[] = new SchemaField('msRASSavedFramedRoute');
$schemaFields[] = new SchemaField('possibleInferiors');
$schemaFields[] = new SchemaField('fromEntry');
$schemaFields[] = new SchemaField('partialAttributeSet');
$schemaFields[] = new SchemaField('otherLoginWorkstations');
$schemaFields[] = new SchemaField('msDS-NCReplOutboundNeighbors');
$schemaFields[] = new SchemaField('department');
$schemaFields[] = new SchemaField('msDS-NCReplInboundNeighbors');
$schemaFields[] = new SchemaField('ou');
$schemaFields[] = new SchemaField('msExchConferenceMailboxBL');
$schemaFields[] = new SchemaField('revision');
$schemaFields[] = new SchemaField('homePhone');
$schemaFields[] = new SchemaField('msExchHouseIdentifier');
$schemaFields[] = new SchemaField('mhsORAddress');
$schemaFields[] = new SchemaField('controlAccessRights');
$schemaFields[] = new SchemaField('subRefs');
$schemaFields[] = new SchemaField('operatorCount');
$schemaFields[] = new SchemaField('msExchResourceGUID');
$schemaFields[] = new SchemaField('st');
$schemaFields[] = new SchemaField('o');
$schemaFields[] = new SchemaField('msRADIUSFramedIPAddress');
$schemaFields[] = new SchemaField('logonWorkstation');
$schemaFields[] = new SchemaField('masteredBy');
$schemaFields[] = new SchemaField('msRTCSIP-ArchivingEnabled');
$schemaFields[] = new SchemaField('manager');
$schemaFields[] = new SchemaField('x121Address');
$schemaFields[] = new SchemaField('ownerBL');
$schemaFields[] = new SchemaField('mS-DS-CreatorSID');
$schemaFields[] = new SchemaField('telephoneNumber');
$schemaFields[] = new SchemaField('msNPCallingStationID');
$schemaFields[] = new SchemaField('groupsToIgnore');
$schemaFields[] = new SchemaField('msDS-TasksForAzTaskBL');
$schemaFields[] = new SchemaField('memberOf');
$schemaFields[] = new SchemaField('replUpToDateVector');
$schemaFields[] = new SchemaField('localeID');
$schemaFields[] = new SchemaField('msDS-TasksForAzRoleBL');
$schemaFields[] = new SchemaField('jpegPhoto');
$schemaFields[] = new SchemaField('postalAddress');
$schemaFields[] = new SchemaField('teletexTerminalIdentifier');
$schemaFields[] = new SchemaField('pwdLastSet');
$schemaFields[] = new SchemaField('msCOM-UserPartitionSetLink');
$schemaFields[] = new SchemaField('generationQualifier');
$schemaFields[] = new SchemaField('mail');
$schemaFields[] = new SchemaField('userAccountControl');
$schemaFields[] = new SchemaField('extensionName');
$schemaFields[] = new SchemaField('otherPager');
$schemaFields[] = new SchemaField('msExchResourceProperties');
$schemaFields[] = new SchemaField('badPwdCount');
$schemaFields[] = new SchemaField('managedObjects');
$schemaFields[] = new SchemaField('primaryTelexNumber');
$schemaFields[] = new SchemaField('msRTCSIP-PrimaryHomeServer');
$schemaFields[] = new SchemaField('msDS-ReplAttributeMetaData');
$schemaFields[] = new SchemaField('seeAlso');
$schemaFields[] = new SchemaField('lmPwdHistory');
$schemaFields[] = new SchemaField('netbootSCPBL');
$schemaFields[] = new SchemaField('postOfficeBox');
$schemaFields[] = new SchemaField('lastLogonTimestamp');
$schemaFields[] = new SchemaField('isDeleted');
$schemaFields[] = new SchemaField('wellKnownObjects');
$schemaFields[] = new SchemaField('telexNumber');
$schemaFields[] = new SchemaField('groupPriority');
$schemaFields[] = new SchemaField('lastLogoff');
$schemaFields[] = new SchemaField('mSMQDigestsMig');
$schemaFields[] = new SchemaField('msDS-Approx-Immed-Subordinates');
$schemaFields[] = new SchemaField('userSharedFolder');
$schemaFields[] = new SchemaField('allowedChildClasses');
$schemaFields[] = new SchemaField('allowedAttributesEffective');
$schemaFields[] = new SchemaField('sn');
$schemaFields[] = new SchemaField('company');
$schemaFields[] = new SchemaField('userCertificate');
$schemaFields[] = new SchemaField('adminCount');
$schemaFields[] = new SchemaField('telephoneAssistant');
$schemaFields[] = new SchemaField('msIIS-FTPDir');
$schemaFields[] = new SchemaField('title');
$schemaFields[] = new SchemaField('uSNLastObjRem');
$schemaFields[] = new SchemaField('siteObjectBL');
$schemaFields[] = new SchemaField('physicalDeliveryOfficeName');
$schemaFields[] = new SchemaField('directReports');
$schemaFields[] = new SchemaField('pager');
$schemaFields[] = new SchemaField('flags');
$schemaFields[] = new SchemaField('objectGUID');
$schemaFields[] = new SchemaField('msRTCSIP-OriginatorSid');
$schemaFields[] = new SchemaField('proxiedObjectName');
$schemaFields[] = new SchemaField('repsTo');
$schemaFields[] = new SchemaField('mobile');
$schemaFields[] = new SchemaField('repsFrom');
$schemaFields[] = new SchemaField('lastLogon');
$schemaFields[] = new SchemaField('msRADIUSCallbackNumber');
$schemaFields[] = new SchemaField('msRTCSIP-InternetAccessEnabled');
$schemaFields[] = new SchemaField('bridgeheadServerListBL');
$schemaFields[] = new SchemaField('userSharedFolderOther');
$schemaFields[] = new SchemaField('employeeNumber');
$schemaFields[] = new SchemaField('msDS-Cached-Membership-Time-Stamp');
$schemaFields[] = new SchemaField('registeredAddress');
$schemaFields[] = new SchemaField('msDS-MembersForAzRoleBL');
$schemaFields[] = new SchemaField('preferredLanguage');
$schemaFields[] = new SchemaField('createTimeStamp');
$schemaFields[] = new SchemaField('msRTCSIP-UserEnabled');
$schemaFields[] = new SchemaField('showInAdvancedViewOnly');
$schemaFields[] = new SchemaField('allowedAttributes');
$schemaFields[] = new SchemaField('mS-DS-ConsistencyChildCount');
$schemaFields[] = new SchemaField('msDS-Cached-Membership');
$schemaFields[] = new SchemaField('destinationIndicator');
$schemaFields[] = new SchemaField('primaryInternationalISDNNumber');
$schemaFields[] = new SchemaField('countryCode');
$schemaFields[] = new SchemaField('adminDescription');
$schemaFields[] = new SchemaField('msDS-Site-Affinity');
$schemaFields[] = new SchemaField('adminDisplayName');
$schemaFields[] = new SchemaField('msDS-User-Account-Control-Computed');
$schemaFields[] = new SchemaField('departmentNumber');
$schemaFields[] = new SchemaField('msRASSavedFramedIPAddress');
$schemaFields[] = new SchemaField('assistant');
$schemaFields[] = new SchemaField('msCOM-PartitionSetLink');
$schemaFields[] = new SchemaField('profilePath');
$schemaFields[] = new SchemaField('givenName');
$schemaFields[] = new SchemaField('whenCreated');
$schemaFields[] = new SchemaField('USNIntersite');
$schemaFields[] = new SchemaField('msRTCSIP-PrimaryUserAddress');
$schemaFields[] = new SchemaField('isCriticalSystemObject');
$schemaFields[] = new SchemaField('mSMQDigests');
$schemaFields[] = new SchemaField('msNPAllowDialin');
$schemaFields[] = new SchemaField('userWorkstations');
$schemaFields[] = new SchemaField('codePage');
$schemaFields[] = new SchemaField('msRTCSIP-TargetHomeServer');
$schemaFields[] = new SchemaField('streetAddress');
$schemaFields[] = new SchemaField('frsComputerReferenceBL');
$schemaFields[] = new SchemaField('userPassword');
$schemaFields[] = new SchemaField('structuralObjectClass');
$schemaFields[] = new SchemaField('logonHours');
$schemaFields[] = new SchemaField('msExchOriginatingForest');
$schemaFields[] = new SchemaField('replPropertyMetaData');
$schemaFields[] = new SchemaField('uSNDSALastObjRemoved');
$schemaFields[] = new SchemaField('subSchemaSubEntry');
$schemaFields[] = new SchemaField('displayNamePrintable');
$schemaFields[] = new SchemaField('defaultClassStore');
$schemaFields[] = new SchemaField('proxyAddresses');
$schemaFields[] = new SchemaField('whenChanged');
$schemaFields[] = new SchemaField('msDS-ReplValueMetaData');
$schemaFields[] = new SchemaField('labeledURI');
$schemaFields[] = new SchemaField('kMServer');
$schemaFields[] = new SchemaField('serialNumber');
$schemaFields[] = new SchemaField('msRTCSIP-FederationEnabled');
$schemaFields[] = new SchemaField('otherTelephone');
$schemaFields[] = new SchemaField('msRADIUSServiceType');
$schemaFields[] = new SchemaField('otherIpPhone');
$schemaFields[] = new SchemaField('mSMQSignCertificatesMig');
$schemaFields[] = new SchemaField('photo');
$schemaFields[] = new SchemaField('fRSMemberReferenceBL');
$schemaFields[] = new SchemaField('msDS-ObjectReferenceBL');
$schemaFields[] = new SchemaField('msRADIUSFramedRoute');
$schemaFields[] = new SchemaField('wbemPath');
$schemaFields[] = new SchemaField('audio');
$schemaFields[] = new SchemaField('isPrivilegeHolder');
$schemaFields[] = new SchemaField('desktopProfile');
$schemaFields[] = new SchemaField('dSCorePropagationData');
$schemaFields[] = new SchemaField('url');
$schemaFields[] = new SchemaField('msCOM-UserLink');
$schemaFields[] = new SchemaField('groupMembershipSAM');
$schemaFields[] = new SchemaField('co');
$schemaFields[] = new SchemaField('systemFlags');
$schemaFields[] = new SchemaField('uSNSource');
$schemaFields[] = new SchemaField('msNPSavedCallingStationID');
$schemaFields[] = new SchemaField('msDS-NCReplCursors');
$schemaFields[] = new SchemaField('street');
$schemaFields[] = new SchemaField('fSMORoleOwner');
$schemaFields[] = new SchemaField('msDs-masteredBy');
$schemaFields[] = new SchemaField('aCSPolicyName');
$schemaFields[] = new SchemaField('division');
$schemaFields[] = new SchemaField('c');
$schemaFields[] = new SchemaField('secretary');
$schemaFields[] = new SchemaField('distinguishedName');
$schemaFields[] = new SchemaField('homeDrive');
$schemaFields[] = new SchemaField('preferredDeliveryMethod');
$schemaFields[] = new SchemaField('personalTitle');
$schemaFields[] = new SchemaField('x500uniqueIdentifier');
$schemaFields[] = new SchemaField('msExchControllingZone');
$schemaFields[] = new SchemaField('wWWHomePage');
$schemaFields[] = new SchemaField('comment');
$schemaFields[] = new SchemaField('lockoutTime');
$schemaFields[] = new SchemaField('logonCount');
$schemaFields[] = new SchemaField('msIIS-FTPRoot');
$schemaFields[] = new SchemaField('ntPwdHistory');
$schemaFields[] = new SchemaField('modifyTimeStamp');
$schemaFields[] = new SchemaField('otherHomePhone');
$schemaFields[] = new SchemaField('personalPager');
$schemaFields[] = new SchemaField('msRASSavedCallbackNumber');
$schemaFields[] = new SchemaField('facsimileTelephoneNumber');
$schemaFields[] = new SchemaField('homePostalAddress');
$schemaFields[] = new SchemaField('thumbnailPhoto');
$schemaFields[] = new SchemaField('primaryGroupID');
$schemaFields[] = new SchemaField('sDRightsEffective');
$schemaFields[] = new SchemaField('houseIdentifier');
$schemaFields[] = new SchemaField('otherMailbox');
$schemaFields[] = new SchemaField('allowedChildClassesEffective');
$schemaFields[] = new SchemaField('otherWellKnownObjects');
$schemaFields[] = new SchemaField('uid');
$schemaFields[] = new SchemaField('name');
$schemaFields[] = new SchemaField('msDS-AllowedToDelegateTo');
$schemaFields[] = new SchemaField('queryPolicyBL');
$schemaFields[] = new SchemaField('postalCode');
$schemaFields[] = new SchemaField('carLicense');
$schemaFields[] = new SchemaField('uSNChanged');
$schemaFields[] = new SchemaField('employeeID');
$schemaFields[] = new SchemaField('l');
$schemaFields[] = new SchemaField('attributeCertificateAttribute');
$schemaFields[] = new SchemaField('homeDirectory');
$schemaFields[] = new SchemaField('mSMQSignCertificates');
$schemaFields[] = new SchemaField('otherMobile');
$schemaFields[] = new SchemaField('dSASignature');
$schemaFields[] = new SchemaField('partialAttributeDeletionList');
$schemaFields[] = new SchemaField('canonicalName');
$schemaFields[] = new SchemaField('otherFacsimileTelephoneNumber');
$schemaFields[] = new SchemaField('roomNumber');
$schemaFields[] = new SchemaField('objectVersion');
$schemaFields[] = new SchemaField('terminalServer');
$schemaFields[] = new SchemaField('thumbnailLogo');
$schemaFields[] = new SchemaField('accountExpires');
$schemaFields[] = new SchemaField('msDS-OperationsForAzRoleBL');
$schemaFields[] = new SchemaField('scriptPath');
$schemaFields[] = new SchemaField('unicodePwd');
$schemaFields[] = new SchemaField('ipPhone');
$schemaFields[] = new SchemaField('servicePrincipalName');
$schemaFields[] = new SchemaField('employeeType');
$schemaFields[] = new SchemaField('userPKCS12');
$schemaFields[] = new SchemaField('msDS-OperationsForAzTaskBL');
$schemaFields[] = new SchemaField('userSMIMECertificate');
$schemaFields[] = new SchemaField('businessRoles');
$schemaFields[] = new SchemaField('lastKnownParent');
$schemaFields[] = new SchemaField('nonSecurityMemberBL');
$schemaFields[] = new SchemaField('middleName');
$schemaFields[] = new SchemaField('userPrincipalName');
$schemaFields[] = new SchemaField('userParameters');
$schemaFields[] = new SchemaField('displayName');
$schemaFields[] = new SchemaField('serverReferenceBL');
$schemaFields[] = new SchemaField('dynamicLDAPServer');
$schemaFields[] = new SchemaField('description');
$schemaFields[] = new SchemaField('networkAddress');
$schemaFields[] = new SchemaField('initials');
$schemaFields[] = new SchemaField('msDS-NonMembersBL');
$schemaFields[] = new SchemaField('preferredOU');
$schemaFields[] = new SchemaField('msExchIMAPOWAURLPrefixOverride');
$schemaFields[] = new SchemaField('cn');
$schemaFields[] = new SchemaField('msExchQueryBaseDN');
$schemaFields[] = new SchemaField('uSNCreated');
$schemaFields[] = new SchemaField('dBCSPwd');
$schemaFields[] = new SchemaField('msDRM-IdentityCertificate');
$schemaFields[] = new SchemaField('mS-DS-ConsistencyGuid');
$schemaFields[] = new SchemaField('badPasswordTime');
$schemaFields[] = new SchemaField('businessCategory');
$schemaFields[] = new SchemaField('internationalISDNNumber');
*/


sort($schemas);



//////////////////////////////////////////////////

// Send data to presentation
$presentation->assign("schemas", $schemas);

// Show presentation
if (isset($_REQUEST["source"])) {
	$presentation->display("pages/editor/schema/source.php");
}

else if (isset($_REQUEST["view"])) {
	
	switch ($_REQUEST["view"]) {
		
		case 'edit':
			
			$id = null;
			$source = new MappingSource();
			
			if (isset($_REQUEST['id']) && is_numeric($_REQUEST['id'])) {
				$id = $_REQUEST['id'];
				$source = MappingSource::getSource($id);
			}
			
			// Load source
			$presentation->assign('id', $id);
			$presentation->assign('source', $source);			
			
			$presentation->display("components/editor/schema/source-edit.php");
			break;
			
		case 'edit-details':
			
			switch ($_REQUEST['type']) {
				case 1:
					$presentation->display("components/editor/schema/authentication/ad.php");
					break;
					
				case 2:
					$presentation->display("components/editor/schema/authentication/ldap.php");
					break;
					
				case 3:
					$presentation->display("components/editor/schema/authentication/file.php");
					break;
			}
			
			break;
			
		case 'fields':
			$schemaFields = null;
			$schemaFields = array();
			
			$fields = MappingBackendConnector::getFields(1);
			foreach ($fields as $field) {
				$schemaFields[] = new SchemaField($field);	
			}
			
			$presentation->assign("schemaFields", $schemaFields);
			$presentation->display("components/editor/schema/fields.php");
			return;
			
		case 'testingconnection':
			
			$type 		= isset($_REQUEST['type']) ? $_REQUEST['type'] : null;
			$username 	= isset($_REQUEST['username']) ? $_REQUEST['username'] : null;
			$server 	= isset($_REQUEST['server']) ? $_REQUEST['server'] : null;
			$port 		= isset($_REQUEST['port']) ? $_REQUEST['port'] : null;
			$password 	= isset($_REQUEST['pw']) ? $_REQUEST['pw'] : null;
			
			// Should never happen!
			if (is_null($type)) {
				echo 'Error: 879327';
				return;
			}
			
			switch ($type) {

				// Test AD connection
				case 'ad':
					
					$id = null;
					$type = null;
					$name = null;
					
					$test = array(&$id, &$type, &$name);
					
					//echo 'start';
					echo MappingBackendConnector::canConnect(1) ? "YES" : "NO!";
					//echo '...done';
					
					return;
					
					//return MappingBackendConnector::canConnect(1) ? "YES" : "NO!";
					/*					
					if (!MappingDatabaseConnector::load('source', array('id', 1), array('id', 'type', 'name'), $test)) {
						echo 'something went bad..';
					}
					
					echo $id . ' ' . $type  . ' ' . $name; 
				*/
					
					return;
				
				// Test LDAP connection
				case 'ldap':
					echo 'Not Implemented';
					return;
					
				// Should never happen...
				default:
					echo 'Error: 89236732';
					return;
				
			}
			
			break;
			
	}
	
}

else {
	$presentation->display("pages/editor/schema/index.php");		
}



?>