<?php


// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");


$mode = null;
$reportFolder = null;
$id = null;

if (isset($_REQUEST["rename_submit"])) {
	$mode = "rename";
	$id = array_keys($_REQUEST["rename_submit"]);
	$id = $id[0];
} else if (isset($_REQUEST["generated_reports_action1"]) && $_REQUEST["generated_reports_action1"] != "") {
	$mode = $_REQUEST["generated_reports_action1"];
	$reportFolder = $_REQUEST["movetofolder1"];
} else if (isset($_REQUEST["generated_reports_action2"]) && $_REQUEST["generated_reports_action2"] != "") {
	$mode = $_REQUEST["generated_reports_action2"];
	$reportFolder = $_REQUEST["movetofolder2"];
} else{
	$mode = "rename";
	$id = array_keys($_REQUEST["ENrename_report"]);
	$id = $id[0];
}


// Load report loader
$reportLoader = new ReportLoader();


switch ($mode) {
	
	case "delete":
		foreach ($_REQUEST["report"] as $reportSet) {
			list($reportId, $reportParentId) = explode("|", $reportSet);
			if (!$reportLoader->removeReportByTemplateId($reportId, $reportParentId)) {
				Logger::Debug("{generated_reports}", "Could not delete report instance with id " . $reportId);
				$presentation = new Presentation();
				ConsoleLogger::write($presentation->getText("consolelogger_messages_error_delete_report"));
			}
		}
		break;
		
	case "movetofolder":
		foreach ($_REQUEST["report"] as $reportSet) {
			list($reportId, $reportParentId) = explode("|", $reportSet);
			if (!$reportLoader->moveReportByTemplateId($reportId, $reportParentId, $reportFolder)) {
				Logger::Debug("{generated_reports}", "Could not move report instance with id " . $reportId . " to the folder " . $reportFolder);
				$presentation = new Presentation();
				ConsoleLogger::write($presentation->getText("consolelogger_messages_error_move_report"));
			}
		}		
		break;
		
	case "rename":
		//echo $id . $_REQUEST["rename_report"][$id];
		if (isset($_REQUEST["rename_report"][$id]) && trim($_REQUEST["rename_report"][$id]) != "" && !$reportLoader->renameReportByTemplateId($id, $_REQUEST["rename_report"][$id])) {
			Logger::Debug("{generated_reports}", "Could not rename report with instance id " . $id);
			$presentation = new Presentation();
			ConsoleLogger::write($presentation->getText("consolelogger_messages_error_rename_report"));
		}
		break;
	
	
}

// Current folder
$currentFolder = isset($_REQUEST["currentFolder"]) ? "?folder=" . $_REQUEST["currentFolder"] : "";

header("Location: index.php" . $currentFolder);



?>