<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");
// Load presentation layer class
//$presentation = new Presentation();

if (
	$_SESSION["USER"]->isAdmin() &&
	SystemSettings::get(SystemSettings::SERVER_NS . "menu.dashboard", 1) > 0 &&
	SystemSettings::get(SystemSettings::SERVER_NS . "menu.systeminfo", 1) > 0
	) {
    header("Location: /dashboard/system_info/");
    exit;
}

else if (
	$_SESSION["USER"]->isAdmin() &&
	$_SESSION["USER"]->isRealTimeUser() &&
	SystemSettings::get(SystemSettings::SERVER_NS . "menu.dashboard", 1) > 0 &&
	SystemSettings::get(SystemSettings::SERVER_NS . "menu.licensemonitor", 1) > 0
	) {
    header("Location: /dashboard/license/");
    exit;
}

else if (
	!$_SESSION["USER"]->isAdmin() && 
	$_SESSION["USER"]->isRealTimeUser() && 
	SystemSettings::get(SystemSettings::SERVER_NS . "menu.licensemonitor", 1) > 0
	) {
    header("Location: /dashboard/license/");
    exit;
}

else if ($_SESSION["USER"]->isAdmin() || $_SESSION["USER"]->isTemplateUser()) {
	header("Location: /template_selection/");	
    exit;
}

else if ($_SESSION["USER"]->isReportGeneratorUser()) {
	header("Location: /complete_selection/");	
    exit;
}

else if ($_SESSION["USER"]->isViewUser()) {
	header("Location: /generated_reports/");	
    exit;
}

else {
	header("Location: /access.php");
    exit;
}

?>