<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");
$accessControlManager = new AccessControlManager();


// Check if we are posting accept from disclamier
if (isset($_REQUEST["accept"]) && isset($_SESSION["DISCLAIMER"])) {
	$user = $accessControlManager->getUser(null, $_SESSION["DISCLAIMER"]);
	unset($_SESSION["DISCLAIMER"]);
	if ($user) {
		$user->setAgreement(true);
		$user->store();
	}
	
        $_SESSION["USER"] = $user;
	// Set current user to session
	UserHelper::setCurrentUser($user);
	
	Logger::Info("USER_LOGIN", "User '" . UserHelper::getCurrentUser()->getName() . "' has successfully logged in");
	header("Location: index.php");
	return;
}  elseif (isset($_REQUEST["noaccept"])) {
    header("Location: login.php");
    return;
}



$username = isset($_REQUEST["username"]) ? strtolower($_REQUEST["username"]) : "sajdkasjdksjadksjadksjadksad";

$user = $accessControlManager->getUser(null, $username);


//if (($user && $user->getPassword() == md5($_REQUEST["password"]))) {
if ($user instanceof User && AccessControlManager::isPasswordCorrect($user, $_REQUEST["password"])) {	
	
	// Check if the user has accepted the disclaimer
	$disclaimerFilename = ServerConfig::getConfigPath() . "disclaimer.html";
	if (!$user->isAgreement() && file_exists($disclaimerFilename)) {
		$_SESSION["DISCLAIMER"] = strtolower($_REQUEST["username"]);		
		header("Location: /disclaimer.php");
		return;
	}
	
	$_SESSION["USER"] = $user; // TODO: Remove this. use helper instead
	// Set current user to session
	UserHelper::setCurrentUser($user);
	
	Logger::Info("USER_LOGIN", "User '" . UserHelper::getCurrentUser()->getName() . "' has successfully logged in");
	header("Location: index.php");
	return;
}



Logger::Info("USER_LOGIN", "WRONG USERNAME/PASSWORD User for user with username '" . strtolower($_REQUEST["username"]) . "'");
header("Location: login.php?error=true");

?>
