<?php

if ($_SESSION["USER"]->isAdmin()) {
	$config = new ConfigReader(ServerConfig::getServerUrl() . 'config_dump.pl?version=5.4');
	$config->parse();
	$presentation = new Presentation();
	ConsoleLogger::write($presentation->getText("consolelogger_messages_configuration_refreshed"));
	Logger::Info("{CONFIG}", "The database has been updated");
	echo $presentation->getText("consolelogger_messages_configuration_refreshed");	
	
	// Try to create a nice "relogin"
	$user = UserHelper::getCurrentUser();
	
	// Destory and create a new session
	session_destroy();
	session_start();
	
	// Set user information back
	$_SESSION["USER"] = $user;	
	UserHelper::setCurrentUser($user);
}

?>