<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

$reportSelection = new ReportSelection();

// Get templates
$templateLoader = new TemplateLoader();

// Get selected template
/*@var $template Template */
$template = $templateLoader->getTemplate($reportSelection->get("PRESENTATION_ID"));
if (!$template) {
	return;
}

$classification = $template->getClassification($_REQUEST["id"]);
if (!$classification) {
	echo "ERROR " . $_REQUEST["id"];
	return ;
}

// Send data
$presentation->assign("section", $classification);
$presentation->assign("selection", $reportSelection);
//$presentation->assign("template", $template);

// Show presentation

$result = array();
$result["DATA"] = $presentation->get_content("components/template_selection/input.php");
$result["ID"] = $_REQUEST["id"];

// Returning as JSON
echo php2js($result);


?>
