<?php
header('Content-Type: application/xml');
?><?= '<?xml version="1.0"?>' ?>
<?php 
$realtime = RealTime::getInstance(true);
$list = $realtime->getProducts(true);
$entrycount=0;

$prefix = "http";
if(isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on"){
	$prefix = "https";
}
?>
<rss version="2.0">

	<channel>
		<title>Open iT - Product Status Monitor</title>
		<link><?= $prefix ?>://<?= $_SERVER['HTTP_HOST'] ?>/module/product_status</link>
		<description></description>
	      
<?php
foreach ($list as $product) {
	if ($product->getMinutesSinceUpdate() > 360) {
		$entrycount++;
		$pstatfeed=$pstatfeed.'
			<item>
				<guid isPermaLink="false">'. $product->name .' is in FATAL status: '. date('F d Y') .'</guid>
				<pubDate>'. date('r') .'</pubDate>
				<title>FATAL: '.$product->name .'</title>
				<description>'. $product->name .' has not been reporting in the last '. $product->getLastSeenFormat() .'</description>
				<link>'. $prefix .'://'. $_SERVER['HTTP_HOST'] .'/module/product_status</link>
			</item>';
	}else if ($product->getMinutesSinceUpdate() > 60) {
		$entrycount++;
		$pstatfeed=$pstatfeed.'
			<item>
				<guid isPermaLink="false">'. $product->name .' is in CRITICAL status: '. date('F d Y') .'</guid>
				<pubDate>'. date('r') .'</pubDate>
				<title>CRITICAL: '.$product->name .'</title>
				<description>'. $product->name .' has not been reporting in the last '. $product->getLastSeenFormat() .'</description>
				<link>'. $prefix .'://'. $_SERVER['HTTP_HOST'] .'/module/product_status</link>
			</item>';
	}else if ($product->getMinutesSinceUpdate() > 15) {
		$entrycount++;
		$pstatfeed=$pstatfeed.'
			<item>
				<guid isPermaLink="false">'. $product->name .' is in WARNING status: '. date('F d Y') .'</guid>
				<pubDate>'. date('r') .'</pubDate>
				<title>WARNING: '.$product->name .'</title>
				<description>'. $product->name .' has not been reporting in the last '. $product->getLastSeenFormat() .'</description>
				<link>'. $prefix .'://'. $_SERVER['HTTP_HOST'] .'/module/product_status</link>
			</item>';
	}
 }

 if (isset($_SESSION["TMP_USER"])){
 	if($_SESSION["TMP_USER"]!=NULL){
		$_SESSION["USER"] = new User($_SESSION["TMP_USER"]->getId(), 
									$_SESSION["TMP_USER"]->getUsername(), 
									$_SESSION["TMP_USER"]->getPassword(), 
									$_SESSION["TMP_USER"]->getName(), 
									$_SESSION["TMP_USER"]->getDivision(), 
									$_SESSION["TMP_USER"]->isAdmin(),
									$_SESSION["TMP_USER"]->isAgreement(), 
									$_SESSION["TMP_USER"]->isTemplateUser(), 
									$_SESSION["TMP_USER"]->isViewUser(), 
									$_SESSION["TMP_USER"]->isReportGeneratorUser());
		UserSettings::setValue($_SESSION["USER"], UserSettings::REALTIME_ACCESS, true);
		$_SESSION["TMP_USER"]=null;
 	}else{
		session_start();
		// Unset all of the session variables.
		$_SESSION = array();
		// If it's desired to kill the session, also delete the session cookie.
		// Note: This will destroy the session, and not just the session data!
		if (ini_get("session.use_cookies")) {
		    $params = session_get_cookie_params();
		    setcookie(session_name(), '', time() - 42000,
		        $params["path"], $params["domain"],
		        $params["secure"], $params["httponly"]
		    );
		}
		// Finally, destroy the session.
		session_destroy();
 	}
 }else{
 	//remove session 
	session_start();
	$_SESSION = array();
	if (ini_get("session.use_cookies")) {
	    $params = session_get_cookie_params();
	    setcookie(session_name(), '', time() - 42000,
	        $params["path"], $params["domain"],
	        $params["secure"], $params["httponly"]
	    );
	}
	session_destroy();
 }
 if($entrycount>0) echo $pstatfeed;
 else{
 	$pstatfeed=$pstatfeed.'
		<item>
			<guid isPermaLink="false">Normal: '. date('F d Y') .'</guid>
			<pubDate>'. date('r') .'</pubDate>
			<title>No connection warnings today</title>
			<description>All products are connected.</description>
			<link>'. $prefix .'://'. $_SERVER['HTTP_HOST'] .'/module/product_status</link>
		</item>';
 	echo $pstatfeed;
 }
?>

</channel></rss>

