<?php

class System_Settings extends AbstractController {
	
	// User settings, specific settings stored in user profile
	const USER_SETTINGS = 'com.openit.user.';
	
	// Server settings, controlls the GUI
	const SERVER_SETTINGS = 'com.openit.server.';
	
	// Temproary settings, gone when user logs out..
	const TEMP_SETTINGS = 'com.openit.temp.';

	public function getModel() { }
	
	public function getList() { }

	public function init() {
		if (!UserHelper::getCurrentUser()->isAdmin()) {
			header('Location: /access.php?txt=' . urlencode('You don\'t have access to this part of the system'));
			exit;
		}
	}
	
	public function index() {
	}
	
	public function getMenu() { return 'admin'; 	}
	
	public function getSubMenu() {
		return 'adminsub';
	}
	
	public function set() {
		if (isset($this->getRequest()->id) && isset($this->getRequest()->subs[2])) {
			SystemSettings::set($this->getRequest()->id, urldecode($this->getRequest()->subs[2]));
		}
	}
	
	public function get() {
		$this->show();
	}
	
	public function show() {
		if (isset($this->getRequest()->id)) {
			echo SystemSettings::get($this->getRequest()->id);
		}	
	}
}

?>