<html>

<head>
<script>
var SystemSetting = {
	blur:function(id) {
		var old = document.getElementById('server[' + id + ']');
		var edit = document.getElementById('serveredit[' + id + ']');
		var editfield = document.getElementById('servereditfield[' + id + ']');
		old.style.display = "block";
		edit.style.display = "none";
	},

	edit:function(id) {
		var old = document.getElementById('server[' + id + ']');
		var edit = document.getElementById('serveredit[' + id + ']');
		var editfield = document.getElementById('servereditfield[' + id + ']');
		old.style.display = "none";
		edit.style.display = "block";
	},
	
	store:function(id) {
		var old = document.getElementById('server[' + id + ']');
		var edit = document.getElementById('serveredit[' + id + ']');
		var editfield = document.getElementById('servereditfield[' + id + ']');		
		var editval = editfield.value;
		if (id == 'com.openit.server.entmonitor.url'){
			if(!SystemSetting.validUrl(editval)) return;
		}
		if (editfield.value == "") return;
		var jsonRequest = new Request.HTML({url: "/module/ssettings/" + id + "/set/" + neocharencode(editval) + ".json", onComplete: function(d){
			old.innerHTML = editfield.value;
			edit.style.display = "none";
			old.style.display = "block";
		}}).get();
	},

	validUrl:function(str){
		var RegexUrl = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
		if(!RegexUrl.test(str)) {
			alert("Please enter a valid URL.");
			return false;
		} else {
			var tmp;
			var pages = new Request.HTML({
			url: '/emscheck.php',
			method: 'post',
			async: false,
			data: {'emsurl':str},
			onSuccess: function (t,d,h,j) { 
				if (h=="valid")
					tmp = true;
				else {
					alert("Not a valid EMS link.");
					tmp = false;
				}
			}
			}).send();
			return tmp;
		}
	}
};

/* Registry values with "/" or any other  characters that has
 * issues sending from the edit form and saving to the database
 * must be encoded to "!<ascii_hex_equivalent>".
 */
function neocharencode(str){
	str = str.replace(/[\/]/g,"!2F");	//replaces "/"
	return str;
}

function array_filter (arr, func) {
    // http://kevin.vanzonneveld.net
    // +   original by: Brett Zamir (http://brett-zamir.me)
    // %        note 1: Takes a function as an argument, not a function's name
    // *     example 1: var odd = function (num) {return (num & 1);}; 
    // *     example 1: array_filter({"a": 1, "b": 2, "c": 3, "d": 4, "e": 5}, odd);
    // *     returns 1: {"a": 1, "c": 3, "e": 5}
    // *     example 2: var even = function (num) {return (!(num & 1));}
    // *     example 2: array_filter([6, 7, 8, 9, 10, 11, 12], even);
    // *     returns 2: {0: 6, 2: 8, 4: 10, 6: 12} 
    var retObj = {},
        k;

    for (k in arr) {
        if (func(arr[k])) {
            retObj[k] = arr[k];
        }
    }

    return retObj;
}
</script>
<style>
<!--

#sregistry table {
	width: 800px;
}

#sregistry table th,
#sregistry table td {
	width: 50%;
	text-align: left;
}

#sregistry table tr:hover td {
	background-color: #eeeeee;
}

-->
</style>

</head>

<body>

<?php
/*
		// List session
		if (isset($_SESSION[SystemSettings::$SESSION_KEY])) {
			foreach ($_SESSION[SystemSettings::$SESSION_KEY] as $key => $value) {
				echo "{$key} = {$value} <br>";
			}
		}
		
		// List server
		foreach (SystemSettings::getAll() as $registry) {
			echo "{$registry->key} = {$registry->value} <br>";
		}
*/
?>


<div id="spacer">
	<h2 id="administration_edit_header">Registry</h2>

	<div id="sregistry">
	<table>
	
	  <tr>
	    <th>Key</th>
	    <th>Value (click to edit)</th>
	  </tr>
  
<?php
		//Get Server version for showing of Overlay of mapping data
		$openitServerInfo = new OpeniT_Server_Info();
		$serverVersion = $openitServerInfo->getServerVersion();
		
		if (strpos($serverVersion,"-")){
			$serverVersion = substr($serverVersion,0,strpos($serverVersion,"-"));
		}
		$serverVersion = intval(str_pad(str_replace(".","",$serverVersion),8,"0"));
		$versionflag="";
		if ($serverVersion<55000000)$versionflag="_before_v5_5_0";


$arr = explode(":", $_SERVER['HTTP_HOST'], 2);
foreach (SystemSettings::getAll() as $registry) {
		 if($registry->key == "com.openit.server.licensemonitor.overlay.mapping.data" && $versionflag != "")continue;
		?>  
	  <tr title="<?= tt($registry->key) ?>">
	    <td><?= $registry->key ?></td>
	    <td>
	    	<div id="server[<?= $registry->key ?>]" onclick="SystemSetting.edit('<?= $registry->key ?>')" style="min-height: 18px; min-width: 10px; height: 18px; cursor: text; border: 1px solid #879BB3;"><?= ($registry->key == "com.openit.server.entmonitor.url" && strlen($registry->value) <= 0) ? "http://EMS_SERVER:EMS_PORT/" : str_ireplace("!2F","/",$registry->value) //decode from neocharencode ?></div>
	    	<div id="serveredit[<?= $registry->key ?>]" style="display: none;">
	    	<?php 
	    		if($registry->key == "com.openit.server.licensemonitor.maxlicensecount" || $registry->key == "com.openit.server.licensemonitor.topby" || $registry->key == "com.openit.server.entmonitor.url")
	    		{ ?> 
	    			<input type="text" title="<?= tt($registry->key) ?>" id="servereditfield[<?= $registry->key ?>]" onchange="SystemSetting.store('<?= $registry->key ?>')" onblur="SystemSetting.blur('<?= $registry->key ?>')" value="<?= ($registry->key == "com.openit.server.entmonitor.url" && strlen($registry->value) <= 0 ) ? "http://EMS_SERVER:EMS_PORT/": str_ireplace("!2F","/",$registry->value) //decode from neocharencode ?>" />
	    		<? }
	    		else{
	    		?>
		    		<select title="<?= tt($registry->key) ?>" id="servereditfield[<?= $registry->key ?>]" onchange="SystemSetting.store('<?= $registry->key ?>')" onblur="SystemSetting.blur('<?= $registry->key ?>')">
			    		<option value="1" <?= $registry->value > 0 ? 'selected="selected"' : "" ?>>1</option>
			    		<option value="0" <?= $registry->value == 0 ? 'selected="selected"' : "" ?>>0</option>
		    		</select>
	    		<?}?>
	    		 <!-- <input type="button" value="Store" onclick="SystemSetting.store('<?= $registry->key ?>')" /> -->
	    	</div>
	    </td>
	  </tr>
<?php } ?>  

	</table>

	</div>
</div>

</body>

</html>
