<?php /*
// $Id: datatype_list.php 785 2010-12-14 05:44:12Z rcoros $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all datatypes in a selection list.
//
/////////////////////////////////////////////////////////////////////////////// */ ?>

<label for="datatypesList"><?= tt("completeselection_selection_label_datatypes") ?></label>
<select id="datatypesList" name="datatypesList">
	<option value="-"><?= tt("no_datatype_selected") ?></option>
<?php foreach($datatypes as $datatype) { ?>
	<option value="<?= $datatype->getUID() ?>" <?php if (isset($datatypeId) && $datatype->getUID() == $datatypeId) { ?>selected="selected"<?php } ?>><?= $datatype->getValue() ?></option>
<?php } ?>
</select>
