<?php /*
// $Id: module_list.php 785 2010-12-14 05:44:12Z rcoros $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all modules in a selection list.
//
/////////////////////////////////////////////////////////////////////////////// */ ?>
<label for="modulesList"><?= tt("completeselection_selection_label_modules") ?></label>
<select id="modulesList" name="modulesList">
	<option value="ALL"><?= tt("completeselection_selection_all_modules") ?></option>
<?php
foreach ($modules as $module) {
	if ($module->hasDataTypes()) { ?>
		<option value="<?= $module->getId() ?>" <?= isSelected("modulesList", $module->getId()) ?>><?= $module->getValue() ?></option>
<?php
	}
}
?>
</select>