<fieldset id="measurements_selection">
	<legend><?= tt("completeselection_presentation_chart_header_measurements") ?></legend>
   		<div class="field one">
			 	<label class="left" for="graphic_measurement"><?= tt("completeselection_presentation_chart_label_selectmeasurement") ?></label>
				<select class="wide" name="graphic_measurement" id="graphic_measurement"  onchange="setSelection(this);">
		<?php foreach($measurements as $measurement) { ?>
			<?php if ($measurement->isSelected()) { ?>
					<option value="<?= $measurement->getId() ?>" <?= isSelected("graphic_measurement", $measurement->getId()) ?>><?= $measurement->getValue() ?></option>
			<?php } ?>
		<?php } ?>
				</select>
			</div>
			
			<div class="field two" id="chart_display_filter">
					<label class="left" for="graphic_filter"><?= tt("completeselection_presentation_table_header_displayfilter") ?></label>

					<?php
						$data = array(
							"0" 		=> tt("completeselection_presentation_chart_displayfilterlist_all"),
							"top" 		=> tt("completeselection_presentation_chart_displayfilterlist_top"),
							"threshold" => tt("completeselection_presentation_chart_displayfilterlist_threshold")
						);
					?>
					<?= html::select("graphic_filter", $data, null, "changeFilter(this);") ?>
					
					<span id="graphic_filter_type_1" <?= ($selection->get('graphic_filter') != "top") ? 'style="display: none;"' : '' ?>>						
						<?= html::text("graphic_filter_top_text") ?>
						
						<?= html::checkbox("graphic_filter_top_others", "true") ?>
						<label for="graphic_filter_top_others"><?= tt("completeselection_presentation_chart_displayfilterlist_showothers") ?></label>
					</span>

					<span id="graphic_filter_type_2" <?= ($selection->get('graphic_filter') != "threshold") ? 'style="display: none;"' : '' ?>>
					
						<?php
							$data = array(
								">"  => 'X &gt;',
								">=" => 'X &gt;=',
								"="  => 'X =',
								"<=" => 'X &lt;=',
								"<"  => 'X &lt;',
								"<>" => 'X &lt;&gt;'
							);
							echo html::select("graphic_filter_threshold_type", $data);
						?>
												
						<?= html::text("graphic_filter_threshold_value") ?>
						
						<?= html::checkbox("graphic_filter_threshold_others", "true") ?>
						<label for="graphic_filter_threshold_others"><?= tt("completeselection_presentation_chart_displayfilterlist_showothers") ?></label>
					</span>
			</div>


<script type="text/javascript">
<!--

function changeFilter(obj) {

	var type1 = document.getElementById("graphic_filter_type_1");
	var type2 = document.getElementById("graphic_filter_type_2");

	if (obj.selectedIndex == 0) {
		type1.style.display = "none";
		type2.style.display = "none";
	} else if (obj.selectedIndex == 1) {
		type1.style.display = "inline";
		type2.style.display = "none";
	} else {
		type1.style.display = "none";
		type2.style.display = "inline";
	}

	setSelection(obj);
}

// -->

</script>

			
</fieldset>
