<h2 id="generate_report_header"><?= tt("global_generatereport_header") ?></h2>
<p><?= tt("global_generatereport_description") ?></p>
<fieldset id="generation_folder_fieldset">
	<legend><img src="/gfx/icons/folder_add24.png" width="24" height="24" border="0" /><?= tt("global_generation_header_titleandfolder") ?></legend>
		<div class="field one first">
			<label for="generation_title"><?= tt("global_generation_label_title") ?></label>
			<input type="text" name="generation_title" id="generation_title" value="<?= $selection->get('generation_title') ?>" size="40" onchange="setSelection(this);" />
		</div>

		<?php if ($selection->get('resolution')) { ?>
		<div class="field two">
			<label for="generation_resolution"><?= tt("global_generation_label_resolution") ?></label>
			<select name="generation_resolution" id="generation_resolution" onchange="setSelection(this);">
				<option value="0" <?php if (0 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_5mins") ?></option>
				<option value="1" <?php if (1 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_15mins") ?></option>
				<option value="2" <?php if (2 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_1hour") ?></option>
				<option value="3" <?php if (3 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_24hours") ?></option>
				<option value="4" <?php if (4 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_1week") ?></option>
				<option value="5" <?php if (5 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_1month") ?></option>
				<option value="6" <?php if (6 == $selection->get('generation_resolution')) { ?>selected="selected"<?php } ?>><?= tt("global_generation_resolution_1year") ?></option>
			</select>
		</div>
		<?php } ?>

		<div class="field three last">
			<label for="generation_folder"><?= tt("global_generation_label_folder") ?></label>
			<select name="generation_folder" id="generation_folder" onchange="setSelection(this);">
			<?php foreach($folders as $folder) {
					$exists = FolderManager::checkFolders($folder->getName());
					if ($exists){
						?>
							<option value="<?= $folder->getName() ?>"<?php if ($folder->getName() == $selection->get('generation_folder')) { ?> selected="selected"<?php } ?>><?= $folder->getName() ?></option>
			<?php	}else{//Delete from database
										$aCM = new AccessControlManager();
										$aCM->deleteFolder($folder);	
									}
			} 
			//enable the add folder to admin user only
			$isAdmin = $_SESSION[UserHelper::SESSION_CACHE_KEY]->isAdmin();
			?>
			
			</select>
			<div id="add_folder_div" <?= $isAdmin ? 'style="display:inline"' : 'style="display:none"' ?>>
				<input type="button" name="add_folder" value="Add Folder" onclick="addFolder();"/>
			</div>
			<div id="create_folder_div" style="display:none">
				<input id="folderName" type="text" name="folder_name" />
				<input type="button" value="<?= "Create" ?>" onclick="createFolder();"/>
			</div>
		</div>
		<input type="hidden" id="serverUrl" value="<?=ServerConfig::getServerUrl()?>"/>
</fieldset>

 

<fieldset id="report_generation_type_fieldset">
	<legend>Report Generation</legend>

	<div id="report_generation_type_radiogroup">
		<div class="field one"><input onclick="showGenerationType('instant');setSelection(this);" type="radio" name="report_generation_type" id="report_generation_type_instant" value="instant" <?php if ($selection->get('report_generation_type') == "" || $selection->get('report_generation_type') == "instant") { ?>checked="checked"<?php } ?> /><label for="report_generation_type_instant"><img src="/gfx/icons/instant_report24.png" width="24" height="24" border="0" /><?= tt("global_generate_header_instantreport") ?></label></div>
		<div class="field two"><input onclick="showGenerationType('periodic');setSelection(this);" type="radio" name="report_generation_type" id="report_generation_type_periodic" value="periodic" <?php if ($selection->get('report_generation_type') == "periodic") { ?>checked="checked"<?php } ?> /><label for="report_generation_type_periodic"><img src="/gfx/icons/periodic_report24.png" width="24" height="24" border="0" /><?= tt("global_generate_header_periodicreport") ?></label></div>
	</div>

	<div id="generation_instant_div" style="display:<?php if ($selection->get('report_generation_type') == "" || $selection->get('report_generation_type') == "instant") { ?>block<?php } else { ?>none<?php } ?>;">
		<div class="field one first">
			<label for="generation_period"><?= tt("global_generation_label_period") ?></label>
			<select id="generation_period" name="generation_period" onchange="getPeriod(this);">
				<option value="TY" <?php if ($selection->get('generation_period') == "TY") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_thisyear") ?></option>
				<option value="TM" <?php if ($selection->get('generation_period') == "TM") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_thismonth") ?></option>
				<option value="TW" <?php if ($selection->get('generation_period') == "TW") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_thisweek") ?></option>
				<option value="D" <?php if ($selection->get('generation_period') == "D") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_last24hours") ?></option>
				<option value="W" <?php if ($selection->get('generation_period') == "W") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_lastweek") ?></option>
				<option value="W4" <?php if ($selection->get('generation_period') == "W4") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_last4weeks") ?></option>
				<option value="M" <?php if ($selection->get('generation_period') == "M") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_lastmonth") ?></option>
				<option value="M3" <?php if ($selection->get('generation_period') == "M3") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_last3months") ?></option>
				<option value="M6" <?php if ($selection->get('generation_period') == "M6") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_last6months") ?></option>
				<option value="Y" <?php if ($selection->get('generation_period') == "Y") { ?>selected="selected"<?php } ?>><?= tt("global_generation_periodvalues_lastyear") ?></option>
				<option value="C" <?php if ($selection->get('generation_period') == "C" || (isset($template->reportData['from'])&&$selection->get('generation_period') == "")) { ?>selected="selected"<?php } ?>>-Custom-</option>
			</select>
		</div>

		<div class="field two">
			<label for="generation_date_from"><?= tt("global_generation_label_from") ?></label>
			<?php if(isset($template->reportData['from']))$selection->set('generation_date_from',$template->reportData['from']);?>
			<input type="text" name="generation_date_from" id="generation_date_from" value="<?php if ($selection->get('generation_period') == "" || $selection->get('generation_period') == "C") { echo $selection->get('generation_date_from'); } ?>" size="19" maxlength="19" onchange=" customPeriodFlag();dateValidator(this);"/>
		</div>
                
		<div class="field three">
			<label for="generation_date_to"><?= tt("global_generation_label_to") ?></label>
			<?php if(isset($template->reportData['to']))$selection->set('generation_date_to',$template->reportData['to']);?>
			<input type="text" name="generation_date_to" id="generation_date_to" value="<?php if ($selection->get('generation_period') == "" || $selection->get('generation_period') == "C") { echo $selection->get('generation_date_to'); } ?>" size="19" maxlength="19" onchange=" customPeriodFlag();dateValidator(this);"/>
		</div>
		
		<div class="field four last">
			<label for="generation_timeout"><?= tt("global_generation_label_timeout") ?></label>
			<?php			
				$data = array(
					'10' 		=> tt("global_generation_timeout_10mins"),
					'30' 		=> tt("global_generation_timeout_30mins"),
					'60' 		=> tt("global_generation_timeout_60mins"),
					'120' 		=> tt("global_generation_timeout_120mins"),
					'240' 		=> tt("global_generation_timeout_240mins"),
					'600' 		=> tt("global_generation_timeout_600mins")
				);			
				echo html::select("generation_timeout", $data);
			?>
		</div>


		<div class="submit"><input type="button" name="generate_and_open" value="<?= tt("global_generation_label_generateanddisplay") ?>" onclick="generateReport();"/></div>
	</div>


	<div id="generation_periodic_div" style="display:<?php if ($selection->get('report_generation_type') == "periodic") { ?>block<?php } else { ?>none<?php } ?>;">

		<div class="field one first">
			<label for="generation_periodic">Frequency</label>			
			<?php			
				$data = array(
					'D' 		=> tt("global_generation_periodicvalues_daily"),
					'W' 		=> tt("global_generation_periodicvalues_weekly"),
					'M' 		=> tt("global_generation_periodicvalues_monthly"),
					'Q' 		=> tt("global_generation_periodicvalues_quarterly"),
					'Y' 		=> tt("global_generation_periodicvalues_annually")
				);			
				echo html::select("generation_periodic", $data, null, "setSelection(this);updateReportPeriod(this);");
			?>
		</div>

		<div class="field two">
			<label for="generation_periodic_value"><?= tt("global_generation_label_reportperiod") ?></label>
			
			<?= html::text("generation_periodic_value", null, null, null, null, "10", "10") ?>
					
			<span id="report_period_timespan">
			<?php if (""  == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_days") ?><?php } ?>
			<?php if ("D" == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_days") ?><?php } ?>
			<?php if ("W" == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_weeks") ?><?php } ?>
			<?php if ("M" == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_months") ?><?php } ?>
			<?php if ("Q" == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_quarters") ?><?php } ?>
			<?php if ("Y" == $selection->get('generation_periodic')) { ?><?= tt("global_generation_periodicvalues_years") ?><?php } ?>
			</span>
		</div>

		<div class="field three last">
			<label for="generation_timeout"><?= tt("global_generation_label_timeout") ?></label>
			<?php			
				$data = array(
					'10' 		=> tt("global_generation_timeout_10mins"),
					'30' 		=> tt("global_generation_timeout_30mins"),
					'60' 		=> tt("global_generation_timeout_60mins"),
					'120' 		=> tt("global_generation_timeout_120mins"),
					'240' 		=> tt("global_generation_timeout_240mins"),
					'600' 		=> tt("global_generation_timeout_600mins")
				);			
				echo html::select("generation_timeout", $data);
				
			?>

		</div>


		<div class="submit"><input type="button" name="create_periodic_job" value="<?= tt("global_generate_header_createperiodicjob") ?>" onclick="return validatePeriodicValue();"/></div>

	</div>
        <input id="servertime" type="hidden" value="<?= (date("U")+date("Z"))?>" />
</fieldset>

<!-- JQuery UI datepicker with timepicker plugin -->
<link rel="stylesheet" href="/css/jquery-ui.min.css" />
<link rel="stylesheet" media="all" type="text/css" href="/js/timepicker/jquery-ui-timepicker-addon.css">
<script src="/js/jquery.min.js"></script>
<script src="/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/js/timepicker/jquery-ui-sliderAccess.js"></script>
<script type="text/javascript" src="/js/timepicker/jquery-ui-timepicker-addon.js"></script>
<script type="text/javascript">
jQuery.noConflict();
(function($) {
	<?php if(ServerConfig::getWeekFormat() == 'week_number'){ ?>
  	$(function() {
	    $("#generation_date_from, #generation_date_to").datetimepicker({
	      showButtonPanel: true,
	      currentText: "Today",		
	      showWeek: true,
	      firstDay: 1,
	      showOn: "button",
	      buttonImage: "/gfx/icons/calendar16.png",
	      buttonImageOnly: true,
	      buttonText: "",
	      changeMonth: true,
      	  changeYear: true,
      	  dateFormat: "yy-mm-dd",
      	  timeFormat: "HH:mm:ss",
      	  stepMinute: 5,
      	  showSecond: false,
      	  hourGrid: 5,
      	  minuteGrid: 10,
      	  beforeShow: function(){    
           	$(".ui-datepicker").css('font-size', 12) 
    	  }
	    });
	    /*
		* override "Now" button.
		*/
	    $.datepicker._gotoToday = $.datepicker._base_gotoToday;
  	});
  	<?php } else{ ?>
  	$(function() {
	    $("#generation_date_from, #generation_date_to").datetimepicker({
	      showButtonPanel: true,
	      currentText: "Today",
	      showWeek: true,
	      firstDay: 0,
	      showOn: "button",
	      buttonImage: "/gfx/icons/calendar16.png",
	      buttonImageOnly: true,
	      buttonText: "",
	      changeMonth: true,
      	  changeYear: true,
      	  dateFormat: "yy-mm-dd",
      	  timeFormat: "HH:mm:ss",
      	  stepMinute: 5,
      	  showSecond: false,
      	  hourGrid: 5,
      	  minuteGrid: 10,
      	  calculateWeek: myWeekCalc,
      	  beforeShow: function(){    
           	$(".ui-datepicker").css('font-size', 12) 
    	  }
	    });
	    /*
		* override "Now" button.
		*/
	    $.datepicker._gotoToday = $.datepicker._base_gotoToday;
  	});
  	<?php } ?>	

})(jQuery);

// calculate week number
function myWeekCalc(date) {
	var checkDate = new Date(date.getTime());
	// Find Thursday of this week starting on Sunday
	checkDate.setDate(checkDate.getDate() + 4 - (checkDate.getDay()));
	var time = checkDate.getTime();
	checkDate.setMonth(0); // Compare with Jan 1
	checkDate.setDate(1);
	return Math.floor(Math.round((time - checkDate) / 86400000) / 7) + 1;
}

</script>
<!-- JQuery UI datepicker with timepicker plugin -->

<script type="text/javascript">
<!--
setInterval(serverTime, 1000);
function serverTime(){
    //alert("asda");
    var currentservertime = parseInt(gebi("servertime").value) + 1;
    gebi("servertime").value=currentservertime;
}
function validatePeriodicValue() {
	var periodic_val  = document.getElementById("generation_periodic_value");
	if (periodic_val.value <= 0) {
		alert("The Periodic Value should be 1 or more.");
		periodic_val.value = "";
		periodic_val.focus();
		return false;
	}else if((periodic_val.value).search(/[^0-9]/g) >= 0){
        message = "Only numeric characters(0 to 9) are allowed as periodic value.";
		alert(message);
		periodic_val.value = "";
		periodic_val.focus();
		return false;
	}
	generateReport(true);
	return true;
}

function showGenerationType(type) {
	var instant_div  = document.getElementById("generation_instant_div");
	var periodic_div = document.getElementById("generation_periodic_div");
	if (type == "instant") {
		instant_div.style.display  = "block";
		periodic_div.style.display = "none";
	} else {
		instant_div.style.display  = "none";
		periodic_div.style.display = "block";
	}
}

function dateValidator(field) {
	var re_date = /^(\d\d\d\d)\-(0[1-9]|1[0-2])\-([12][0-9]|3[01]|0[1-9])\ ([01][0-9]|2[0-3])\:([0-5][0-9])\:([0-5][0-9])$/;
	if (!re_date.exec(field.value)) {
		alert("<?= tt("global_generation_periodvalues_invaliddatetimepattern") ?>");
	} else {
            var period=document.getElementById("generation_period")[document.getElementById("generation_period").selectedIndex].value;
            var from =document.getElementById("generation_date_from").value;
            var to = document.getElementById("generation_date_to").value;
            if(isPeriodValid()){
                sendData('complete_selection/custom_period.php','returnPeriod','period',period,'from',from,'to',to);
                setSelection(field);
            }
            else field.focus();
	}
}

function updateReportPeriod(frequency_select) {
	reportPeriod_span = document.getElementById("report_period_timespan");
	switch(frequency_select.selectedIndex) {

	case 0:	reportPeriod_span.innerHTML = "<?= tt("global_generation_periodicvalues_days") ?>"; break;
	case 1:	reportPeriod_span.innerHTML = "<?= tt("global_generation_periodicvalues_weeks") ?>"; break;
	case 2:	reportPeriod_span.innerHTML = "<?= tt("global_generation_periodicvalues_months") ?>"; break;
	case 3:	reportPeriod_span.innerHTML = "<?= tt("global_generation_periodicvalues_quarters") ?>"; break;
	case 4:	reportPeriod_span.innerHTML = "<?= tt("global_generation_periodicvalues_years") ?>"; break;

	}

}
function getEpochTime(dateStr){
  var r = /^\s*(\d{4})-(\d\d)-(\d\d)\s+(\d\d):(\d\d):(\d\d)\s*$/
  var m = (""+dateStr).match(r);
  return (m) ? Date.UTC(m[1], m[2]-1, m[3], m[4], m[5], m[6]) : undefined;
}

//-->
</script>

