<?php include "pages/header.php"; ?>
<?php include "components/access_control/submenu.php"; ?>

<div id="content">
	<div id="spacer">
		<a class="new_group" href="edit_group.php?id=new"><?= tt("accesscontrol_groups_header_newgroup") ?></a>
		<form action="post_delete_groups.php" method="POST">
		<table class="list">
		<caption><img src="/gfx/icons/group24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_header_groups") ?></caption>
			<thead>
				<tr>
					<th class="name"><?= tt("accesscontrol_groups_listheader_name") ?></th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('grouplist', this);" /></th>
				</tr>
			</thead>
			
			
			<tbody id="grouplist">
			
		<?php foreach($groups as $group) { ?>
			<?php $int = (isset($int) && $int == 0) ? 1 : 0; ?>
				<tr class="<?= ($int == 0) ? 'odd' : 'even' ?> clickable">
					<td class="name" onclick="top.location='edit_group.php?id=<?= $group->getId() ?>'"><?= htmlspecialchars($group->getName()) ?></td>
					<td class="edit"><input type="checkbox" onclick="markrow(this);" name="group[]" value="<?= $group->getId() ?>" /></td>
				</tr>
		<?php } ?>
			
			
			</tbody>
		
		</table>
		<input id="groups_del_selected" type="submit" value=<?= tt("accesscontrol_groups_deleteselectedgroups") ?>/>
		<div class="clearer"></div>
		</form>
	</div>

</div>

<?php if ($error != "") { ?>
<script type="text/javascript">
showError('<?= $error ?>');
</script>
<?php } ?>

<?php include "pages/footer.php"; ?>
