<?php include "pages/header.php"; ?>
<?php include "components/access_control/submenu.php"; ?>



<div id="content">

	<ul id="level3">
		<?= MenuDisplayer::menu('adminsub'); ?>
	</ul>
	<div class="clearer"></div>

	<div id="spacer">

		<h2 id="administration_edit_header"><?= tt("administration_configuration_header") ?></h2>
                <div id="errstatus">
		<?php if ($status != "") { ?>
			<strong><?= $status ?></strong><br /><br />
		<?php } ?>
                </div>
		<p><?= tt("administration_configuration_description") ?></p>
		<form action="post_configuration.php" method="POST" id="formconfig" onSubmit="return validateFormText(document.getElementById('formconfig'));">
		
			<fieldset id="edit_configuration_general">
				<legend><?= tt("administration_configuration_edit_header_config_file") ?></legend>
                                
                                <input type="hidden" id="serverOS" value ="<?= strtoupper(substr(PHP_OS, 0, 3)) ?>" />
				<div class="field">
					<label for="title">
						<?= tt("administration_configuration_edit_label_title") ?>
						<span onmouseout="showHideDescription('title_description', false);" onmouseover="showHideDescription('title_description', true);" class="tip">?<span id="title_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_title") ?></span></span>
					</label>
					<input type="text" id="title" name="title" value="<?= $title ?>" size="30" maxlength="255" alt="Page title" onKeyPress="return checkKeycode(event)"/>
				</div>
												
				<div class="field">
					<label for="server">
						<?= tt("administration_configuration_edit_label_server") ?>
						<span onmouseout="showHideDescription('server_description', false);" onmouseover="showHideDescription('server_description', true);" class="tip">?<span id="server_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_server") ?></span></span>
					</label>
					<input type="text" id="server" name="server" value="<?= $server ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>

				<div class="field">
					<label for="client">
						<?= tt("administration_configuration_edit_label_client") ?>
						<span onmouseout="showHideDescription('client_description', false);" onmouseover="showHideDescription('client_description', true);" class="tip">?<span id="client_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_client") ?></span></span>
					</label>
					<input type="text" id="client" name="client" value="<?= $client ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>
				
				<div class="field">
					<label for="topbanner">
						<?= tt("administration_configuration_edit_label_sechead") ?>
						<span onmouseout="showHideDescription('topbanner_description', false);" onmouseover="showHideDescription('topbanner_description', true);" class="tip">?<span id="topbanner_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_sechead") ?></span></span>
					</label>
					<input type="text" id="topbanner" name="topbanner" value="<?= $topbanner ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>
				
				<div class="field">
					<label for="bottombanner">
						<?= tt("administration_configuration_edit_label_secfoot") ?>
						<span onmouseout="showHideDescription('botbanner_description', false);" onmouseover="showHideDescription('botbanner_description', true);" class="tip">?<span id="botbanner_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_secfoot") ?></span></span>
					</label>
					<input type="text" id="bottombanner" name="bottombanner" value="<?= $bottombanner ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>
				
				<div class="field"> 
					<label for="loglevel">
						<?= tt("administration_configuration_edit_label_loglevel") ?>
						<span onmouseout="showHideDescription('loglevel_description', false);" onmouseover="showHideDescription('loglevel_description', true);" class="tip">?<span id="loglevel_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_loglevel") ?></span></span>
					</label>
					<select id="loglevel" name="loglevel">
						<option <?php if ($loglevel == 0) { ?>selected="selected"<?php } ?> value="0"><?= tt("administration_configuration_edit_description_loglevel_0") ?></option>
						<option <?php if ($loglevel == 1) { ?>selected="selected"<?php } ?> value="1"><?= tt("administration_configuration_edit_description_loglevel_1") ?></option>
						<option <?php if ($loglevel == 2) { ?>selected="selected"<?php } ?> value="2"><?= tt("administration_configuration_edit_description_loglevel_2") ?></option>
						<option <?php if ($loglevel == 3) { ?>selected="selected"<?php } ?> value="3"><?= tt("administration_configuration_edit_description_loglevel_3") ?></option>
						<option <?php if ($loglevel == 4) { ?>selected="selected"<?php } ?> value="4"><?= tt("administration_configuration_edit_description_loglevel_4") ?></option>
					</select>
					<div class="clearer" />
				</div>
				
				<div class="field">
					<label for="logfile">
						<?= tt("administration_configuration_edit_label_logfile") ?>
						<span onmouseout="showHideDescription('logfile_description', false);" onmouseover="showHideDescription('logfile_description', true);" class="tip">?<span id="logfile_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_logfile") ?></span></span>
					</label>
					<input type="text" id="logfile" name="logfile" value="<?= $logfile ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>

				<div class="field">
					<label for="charset">
						<?= tt("administration_configuration_edit_label_charset") ?>
						<span onmouseout="showHideDescription('charset_description', false);" onmouseover="showHideDescription('charset_description', true);" class="tip">?<span id="charset_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_charset") ?></span></span>
					</label>
					<select id="charset" name="charset">
					<?php foreach($charsets as $value) { ?>
						<option <?php if ($charset == $value) { ?>selected="selected"<?php } ?> value="<?= $value ?>"><?= $value ?></option>
					<?php } ?>					
					</select>
					<div class="clearer" />
				</div>

				<div class="field">
					<label for="language">
							<?= tt("administration_configuration_edit_label_language") ?>
						<span onmouseout="showHideDescription('language_description', false);" onmouseover="showHideDescription('language_description', true);" class="tip">?<span id="language_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_language") ?></span></span>
					</label>
					<select id="language" name="language">
					<?php foreach($languages as $key => $value) { ?>
						<option <?php if ($language == $key) { ?>selected="selected"<?php } ?> value="<?= $key ?>"><?= $value ?></option>
					<?php } ?>					
					</select>
					<div class="clearer" />
				</div>
				
				<div class="field">
					<label for="weekformat">
						<?= tt("administration_configuration_edit_label_weekformat") ?>
						<span onmouseout="showHideDescription('weekformat_description', false);" onmouseover="showHideDescription('weekformat_description', true);" class="tip">?<span id="weekformat_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_weekformat") ?></span></span>
					</label>
					<select id="weekformat" name="weekformat">
						<option <?php if ($weekformat == "week_number") { ?>selected="selected"<?php } ?> value="week_number"><?= tt("administration_configuration_edit_weekformat_number") ?></option>					
						<option <?php if ($weekformat == "week_range") { ?>selected="selected"<?php } ?> value="week_range"><?= tt("administration_configuration_edit_weekformat_range") ?></option>									
					</select>
					<div class="clearer" />
				</div>				

				<div class="field">
					<label for="reusereportwindow">
						<?= tt("administration_configuration_edit_label_reusereportwindow") ?>
						<span onmouseout="showHideDescription('reusereportwindow_description', false);" onmouseover="showHideDescription('reusereportwindow_description', true);" class="tip">?<span id="reusereportwindow_description" class="tooltip_content"><?= tt("administration_configuration_edit_description_reusereportwindow") ?></span></span>
					</label>
					<select id="reusereportwindow" name="reusereportwindow">
						<option <?php if ($reusereportwindow == "0") { ?>selected="selected"<?php } ?> value="0"><?= tt("administration_configuration_edit_reusereportwindow_false") ?></option>					
						<option <?php if ($reusereportwindow == "1") { ?>selected="selected"<?php } ?> value="1"><?= tt("administration_configuration_edit_reusereportwindow_true") ?></option>									
					</select>
					<div class="clearer" />
				</div>				
								
			</fieldset>
			



<?php /*
			<fieldset id="edit_configuration_passwordbackend">
				<legend>< ?= "Password backend" / *tt("administration_configuration_edit_header_config_file_readonly")* / ? ></legend>
				
				<div class="field">
					<label for="passwordbackend">
						< ?= "Password backend" / *tt("administration_configuration_edit_label_reusereportwindow")* / ? >
						<span onmouseout="showHideDescription('passwordbackend_description', false);" onmouseover="showHideDescription('passwordbackend_description', true);" class="tip">?<span id="passwordbackend_description" class="tooltip_content">< ?= "Pick a backend" / *tt("administration_configuration_edit_description_reusereportwindow")* / ? ></span></span>
					</label>
					<select id="passwordbackend" name="passwordbackend" onchange="changePasswordBackend(this);">
						<option < ?php if ($passwordBackend == "local") { ? >selected="selected"< ?php } ? > value="local">< ?= "Local Database" / *tt("administration_configuration_edit_reusereportwindow_false")* / ? ></option>
						<option < ?php if ($passwordBackend == "ad") { ? >selected="selected"< ?php } ? > value="ad">< ?= "Active Directory" / *tt("administration_configuration_edit_reusereportwindow_false")* / ? ></option>
						<option < ?php if ($passwordBackend == "ldap") { ? >selected="selected"< ?php } ? > value="ldap">< ?= "LDAP" / *tt("administration_configuration_edit_reusereportwindow_false")* / ? ></option>													
					</select>
				</div>	
								
				<div id="ldapDetails" style="< ?= ($passwordBackend == AccessControlManager::PASSWORDBACKEND_AD || $passwordBackend == AccessControlManager::PASSWORDBACKEND_LDAP) ? "" : "display: none;" ? >">
				
					<div class="field">
						<label for="ldapServer">
							< ?= "Server" / *tt("administration_configuration_edit_label_title")* / ? >
							<span onmouseout="showHideDescription('title_description', false);" onmouseover="showHideDescription('title_description', true);" class="tip">?<span id="title_description" class="tooltip_content">< ?= tt("administration_configuration_edit_description_title") ? ></span></span>
						</label>
						<input type="text" id="ldapServer" name="ldapServer" value="< ?= $ldapServer ? >" size="30" maxlength="255" />
					</div>
	
					<div class="field">
						<label for="ldapSuffix">
							< ?= "Suffix" / *tt("administration_configuration_edit_label_title")* / ? >
							<span onmouseout="showHideDescription('ldapSuffix_description', false);" onmouseover="showHideDescription('ldapSuffix_description', true);" class="tip">?<span id="ldapSuffix_description" class="tooltip_content">< ?= tt("administration_configuration_edit_description_title") ? ></span></span>
						</label>
						<input type="text" id="ldapSuffix" name="ldapSuffix" value="< ?= $ldapSuffix ? >" size="30" maxlength="255" />
					</div>
	
					<div class="field">
						<label for="ldapBaseDn">
							< ?= "Base Dn" / *tt("administration_configuration_edit_label_title")* / ? >
							<span onmouseout="showHideDescription('ldapBaseDn_description', false);" onmouseover="showHideDescription('ldapBaseDn_description', true);" class="tip">?<span id="ldapBaseDn_description" class="tooltip_content">< ?= tt("administration_configuration_edit_description_title") ? ></span></span>
						</label>
						<input type="text" id="ldapBaseDn" name="ldapBaseDn" value="< ?= $ldapBaseDn ? >" size="30" maxlength="255" />
					</div>
					
					<div class="field">
						<label for="ldapUsername">
							< ?= "Username" / *tt("administration_configuration_edit_label_title")* / ? >
							<span onmouseout="showHideDescription('ldapUsername_description', false);" onmouseover="showHideDescription('ldapUsername_description', true);" class="tip">?<span id="ldapUsername_description" class="tooltip_content">< ?= tt("administration_configuration_edit_description_title") ? ></span></span>
						</label>
						<input type="text" id="ldapUsername" name="ldapUsername" value="< ?= $ldapUsername ? >" size="30" maxlength="255" />
					</div>
	
					<div class="field">
						<label for="ldapPassword">
							< ?= "Password" / *tt("administration_configuration_edit_label_title")* / ? >
							<span onmouseout="showHideDescription('ldapPassword_description', false);" onmouseover="showHideDescription('ldapPassword_description', true);" class="tip">?<span id="ldapPassword_description" class="tooltip_content">< ?= tt("administration_configuration_edit_description_title") ? ></span></span>
						</label>
						<input type="password" id="ldapPassword" name="ldapPassword" value="< ?= $ldapPassword != "" ? "***********" : "" ? >" size="30" maxlength="255" />
					</div>

					<div class="field">
						<label>
							< ?= "" / *tt("administration_configuration_edit_label_title")* / ? >
						</label>
						<input type="button" value="Test connection" onclick="ldapTest()" />
						<span id="ldapTestResults"></span>
					</div>

				</div>
										
			</fieldset>

*/ ?>




			
			<fieldset id="edit_configuration_readonly">
				<legend><?= tt("administration_configuration_edit_header_config_file_readonly") ?></legend>

				<div class="field">
					<label>
						<?= tt("administration_configuration_edit_label_database") ?>
					</label>
					<input type="text" readonly="readonly" value="<?= $database ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>
	
				<div class="field">
					<label>
						<?= tt("administration_configuration_edit_label_databaseversion") ?>
					</label>
					<input type="text" readonly="readonly" value="<?= $dbversion ?>" size="30" maxlength="255" onKeyPress="return checkKeycode(event)" />
				</div>
			
				<?php if ($activeUser->isAdmin()) { ?>
				<div class="field">
					<label>
						<?= tt("administration_configuration_edit_label_refreshdatabase") ?>
					</label>			 		
					<input style="width: auto;" type="button" value="<?= tt("administration_configuration_edit_refreshdatabase_button") ?>" onclick="if (confirm('<?= tt("global_refresh_database_info") ?>')) sendData('reload_config.php', 'debug');" />
				</div>
				<?php } ?>
				
			</fieldset>
		
			<div id="configuration_save">
				<input type="submit" value=<?= tt("global_form_save") ?> />
			</div>
			
		</form>
				
		<script type="text/javascript">
		<!--

		var posx=0;
		var posy=0;
		var offsetX=16;
		var offsetY=16;
		var popUp = false;
		var ent = document.getElementById("tooltip");

		function mtrack(e){
			if (popUp) {
				if (!e) var e = window.event;
				if (e.pageX || e.pageY) {
					posx = e.pageX;
					posy = e.pageY;
				}
				else if (e.clientX || e.clientY) {
					if (document.documentElement){ //&& !document.documentElement.scrollTop){
						// IE6 +4.01 but no scrolling going on
						posx = e.clientX + document.documentElement.scrollLeft;
						posy = e.clientY + document.documentElement.scrollTop;
					//}else if (document.documentElement && document.documentElement.scrollTop){
						// IE6 +4.01 and user has scrolled
					}else if (document.body && document.body.scrollTop){
						// IE5 or DTD 3.2
						posx = e.clientX + document.body.scrollLeft;
						posy = e.clientY + document.body.scrollTop;
					}
					//posx = e.clientX + document.documentElement.scrollLeft;
					//posy = e.clientY + document.documentElement.scrollTop;
				}
				ent.style.left = posx + offsetX + "px";
				ent.style.top = posy + offsetY + "px";
			}
		}

		function showHideDescription(id, visible) {

			var desc = document.getElementById(id);
			var rootDiv = document.getElementById("wrapper");
			var browser = navigator.appName;
			
			if (!desc) return;

			if (visible) {
				if (browser=="Microsoft Internet Explorer") {	
					//rootDiv.className = "hideSelect";
				}
				popUp = true;
				ent.innerHTML = desc.innerHTML;
			}else{
				rootDiv.className = "";
				popUp = false;
				ent.style.left = "-1000px" ;
				ent.style.top = "-1000px";
				ent.innerHTML = "";
			}
		}

		document.onmousemove = mtrack;
		
		
		function changePasswordBackend(obj) {
			var value = obj.options[obj.selectedIndex].value;
			switch (value) {
				case "local":
					gebi("ldapDetails").style.display = "none";
					break;					 
				case "ad":
				case "ldap":
					gebi("ldapDetails").style.display = "block";
					break;
			}
		}
		
		
		function ldapTest() {
			gebi("ldapTestResults").style.fontWeight = "Bold";
			gebi("ldapTestResults").style.color = "Wklehite";

			if (Math.random() > 0.521541251) {								
				gebi("ldapTestResults").style.backgroundColor = "Red";
				gebi("ldapTestResults").innerHTML = "Can't connect";
			} else {
				gebi("ldapTestResults").style.backgroundColor = "Green";
				gebi("ldapTestResults").innerHTML = "Connection verified";
			}
		}

		function checkKeycode(e) {
			var keycode;
			if (window.event) keycode = window.event.keyCode;
			else if (e) keycode = e.which;
			if (keycode==13){
				return false;
			}
		}	

		// -->
		</script>
				
		
	</div>
</div>
	
		
<?php include "pages/footer.php"; ?>