<?php include "pages/header.php"; ?>
<?php include "components/complete_selection/submenu.php"; ?>


<div id="content">
	<div id="spacer">

		<h2 id="completeselection_presentation_header"><?= tt("completeselection_presentation_header") ?></h2>
		<p><?= tt("completeselection_presentation_description") ?></p>

		<form id="generation">
		
			<fieldset id="presentation_report_type">
			<legend><?= tt("completeselection_presentation_chartheader_reporttype") ?></legend>  
				<input type="radio" checked="true" name="presentation_type" id="presentation_type_chart" onclick="javascript: location.replace('presentation.php?type=chart')" /><label for="presentation_type_chart"><img src="/gfx/icons/bar24.png" border="0" /><?= tt("completeselection_presentation_label_chart") ?></label>
				<input type="radio" name="presentation_type" id="presentation_type_table" onclick="javascript: location.replace('presentation.php?type=table')" /><label for="presentation_type_table"><img src="/gfx/icons/table24.png" border="0" /><?= tt("completeselection_presentation_label_table") ?></label>
			</fieldset>

			<?php include "components/complete_selection/presentation/chart/chart_type.php"; ?>
			<?php include "components/complete_selection/presentation/chart/measurements_selection.php"; ?>
			<?php include "components/complete_selection/presentation/chart/classifications_selection.php"; ?>
			<?php include "components/complete_selection/presentation/chart/y_axis.php"; ?>			
			
			<script type="text/javascript">
			<!--
			function validateYSpecOnBlur(FObj){
                            var sname = FObj.value;
                            if(sname.search(/[^0-9]/g) >= 0){
                                alert("Only numeric characters(0 to 9) are allowed.")
                                sname = sname.replace(/[^0-9]/g, '');
                                FObj.value = sname;
                                setSelection(FObj);
                                return false;
                            }
                        }
                        
			function generateReport() {
			
				var params = formParams("generation");
				
			/*	// Remove other data
				gebi("measurementsList").innerHTML = "";
				gebi("classificationsList").innerHTML = "";
				gebi("classificationvaluesList").innerHTML = "";
			*/	
				// Send data
				//alert(params.toJSONString())
				sendData('complete_selection/post_generate.php', 'returnReport', 'params', params.toJSONString());
			}
			
			function returnReport(url) {
				window.open(url);
			}
			
			// Check if the Generation tab should be enabled
			function verifySelection() {
				sendData('complete_selection/get_verify.php', 'returnVerifySelection');
			}
			
			function returnVerifySelection(status) {
				if (status == "OK-1") {
					MenuTab.enable("complete_selection_generation");
				} else {
					MenuTab.disable("complete_selection_generation");		
				}
			}			
			verifySelection();
			
			//-->
			</script>
			
			
		</form>
	</div>
	
</div>



<?php include "pages/footer.php"; ?>
